Copyright: Copyright (c) 2002-2003 Chyron Corporation


Overview
Lyric Enhancement Interface Framework (LEIF)

Overview

The purpose of Lyric Enhancement Interface Framework (LEIF) is to provide a mechanism for adding customized features and enhancements into Lyric. LEIF offers a plug-in architecture that enables specialized menu driven functionality, user-definable object properties, and an API for integral control over the internal mechanisms of Lyric. Using LEIF, developers can create extensions that perform image processing, import and export to custom file formats, automate template field updates, implement remote application control, access browser data, and handle many more diverse operations.

The plug-in architecture is based on COM technology and specifies one method the plug-in must have in order to be loaded. Plug-ins can be written using any development environment that is capable of producing COM objects. Examples of popular tools include Visual Basic, Delphi, and Visual C++. Installing the plug-in simply requires placing it into Lyrics plug-in directory.

User-definable object properties provide developers with the means to store specialized data with any object in a Lyric message. The data is saved with the message and is readily available upon reloading. This particular feature allows for the association and storage of information that is unique to the Lyric enhancement. Object Properties are named and can be presented to the Lyric operator for informational and editing purposes. Provisions exist in LEIF to allow the developer to provide custom property editors offering a preferred presentation of data to the operator; otherwise, a default property editor is available.

The API consists of a series of components that offer direct manipulation over the internal mechanisms in Lyric. Such control offers flexibility and efficiency for operations and scenarios that require customized user controls and automated processes. The API is built on COM technology and integrates seamlessly with components constructed in Visual Basic and Delphi in addition to many other Rapid Application Development tools.


Plug-in
LEIFlets

LEIF provides a plug-in architecture that enables specialized menu driven functionality. By defining new features readily available to the operator, plug-ins offer an extensive range of solutions and customized behavior. A subset of canvas mouse events can also be captured by plug-ins providing additional interactive control. The plug-ins are called LEIFlets.

The plug-in architecture is based on COM technology and specifies one method the plug-in must have in order to be loaded. Plug-ins can be written using any development environment that is capable of producing COM objects. To ease the development requirements for creating plug-ins, there’s no requirement for an IDL implementation; only a handful of methods need to be defined. Furthermore, the plug-in installation process requires nothing more than placing the COM object anywhere under Lyric’s plug-in directory (the ‘anywhere’ flexibility allows for plug-in organization by using sub-directories.)

One method must be available on any COM object that wants to act as a plug-in to Lyric:

Public Sub OnInitialize(ByVal Lyric, ByRef Succeeded As Boolean)

Three optional methods can be defined for handling mouse events:

Public Sub OnMouseDown(ByVal Sender, ByVal Button As Long, _

ByVal Shift As Long, ByVal X As Long, _

ByVal Y As Long, ByRef Handled As Boolean)

Public Sub OnMouseMove(ByVal Sender, ByVal Button As Long, _

ByVal Shift As Long, ByVal X As Long, _

ByVal Y As Long, ByRef Handled As Boolean)

Public Sub OnMouseUp(ByVal Sender, ByVal Button As Long, _

ByVal Shift As Long, ByVal X As Long, _

ByVal Y As Long, ByRef Handled As Boolean)

To get started, open a new project using your favorite development tool that is capable of building COM objects (Visual Basic, Delphi, and Visual C++.) Create your COM object and add the OnInitialize method according to the IDL definition.

Public Sub OnInitialize(ByVal Lyric, ByRef Succeeded As Boolean)

License = "DFOMONSZ8X24BNCSSHF6C82NZL48I3I6…"

RegisterLEIFlet(License, "TRIAL", "My LEIFlet")

Succeeded = True

End Sub

RegisterLEIFlet must be called within the OnInitialize method in order to properly load and register the LEIFlet within Lyric.  Succeeded must also be set to True. The first argument to RegisterLEIFlet specifies the developers SDK license issued by Chyron. The second argument is the developer ID also issued by Chyron. The third argument is the title of the LEIFlet that will be displayed in the LEIFlets section of Lyric’s About Box.

Next, use the RegisterMenuItem method from the Lyric object to create a menu item.

Public Sub OnInitialize(ByVal Lyric, ByRef Succeeded As Boolean)

Call Lyric.RegisterMenuItem("&Hello", "Tools", "Hello")

End Sub

The first argument to RegisterMenuItem specifies the caption to appear on the menu. The second argument in this example selects the “Tools” menu as the location for the menu item. The third argument is used to determine what method will be called when the user clicks the “Hello” menu item.

Before building the plug-in, the “Hello” method must be implemented:

Public Sub Hello()

MsgBox "Hello"

End Sub

Finally, compile the COM object and install the plug-in by placing it in Lyrics plug-in directory. Let this incredible tutorial come to life by starting Lyric and selecting the Hello menu item from the Tools menu!


IDL Definition

The following is an IDL snippet defining the plug-in methods:

HRESULT _stdcall OnInitialize(

                        [in] VARIANT Lyric,

                        [in, out] VARIANT_BOOL* Succeeded);

HRESULT _stdcall OnMouseDown(

                        [in] VARIANT Sender,

                        [in] long Button,

                        [in] long Shift,

                        [in] long X,

                        [in] long Y,

                        [in, out] VARIANT_BOOL* Handled);

HRESULT _stdcall OnMouseMove(

                        [in] VARIANT Sender,

                        [in] long Button,

                        [in] long Shift,

                        [in] long X,

                        [in] long Y,

                        [in, out] VARIANT_BOOL* Handled);

HRESULT _stdcall OnMouseUp(

                        [in] VARIANT Sender,

                        [in] long Button,

                        [in] long Shift,

                        [in] long X,

                        [in] long Y,

                        [in, out] VARIANT_BOOL* Handled);


Custom Properties
Custom Object Properties

LEIF exposes a system for defining and manipulating Custom Object Properties. Given this capability, developers can augment the underlying data structure of Messages to store, persist, and present information relative to some arbitrary context. The properties can be used to store text, numeric, and binary data. The property data is saved with the Lyric Message and is accessible upon reloading.

Before any operations are performed on a custom property, the property must be defined. The RegisterObjectProperty method of the Lyric Object is used to register new properties for a set of objects:

Function RegisterObjectProperty(Namespace, Name, Type, _

Default, Objects, Specifics)

The Namespace argument is used to organize properties under a given caption that will appear on object’s context menu. The Name argument specifies the name of the property. The property data type is specified by the Type argument. Default specifies the default value for the property. Objects is an array of object classes that will take on the new property. And, Specifics is used for choice entries when the Type parameter is set to Combo.

LEIF provides a presentation hook for Custom Object Properties. Developers can use this mechanism to display custom interfaces for the purpose of viewing and editing the values of the properties. The RegisterObjectPropertyEditor method of the Lyric Object is used to register custom property editors:

Function RegisterObjectPropertyEditor(Namespace, ProgID, Objects)

The Namespace parameter specifies the class of properties the editor will handle. The ProgID parameter specifies the COM interface used for editing. And, the Objects parameter specifies a subset of objects the editor will handle.


API
LEIF API

The LEIF API consists of a series of components that offer direct manipulation over the internal mechanisms in Lyric. Such control offers flexibility and efficiency for operations and scenarios that require customized user controls and automated processes. The API is built on COM technology and integrates seamlessly with components constructed in Visual Basic and Delphi in addition to many other Rapid Application Development tools.

Object	Description
2DObjElement	Provides access to properties specific to an image object in the scene
ActiveCanvas	Provides access to items that are specific to the currently active Lyric canvas
AnimationState	Provides access to the animation state of an object at a given frame
Background	Provides access to the background of the canvas or an element
Browser	Provides access to the assets available within a Lyric Browser database
BrowserAsset	Enumerates individual records of a Lyric browser database
BrowserImage	Provides access to an image record within a Lyric Browser database
BrowserMessage	Provides access to a message record within a Lyric Browser database
BrowsersCollection	Enumerates the browser databases currently registered for use within Lyric
Character	Used to generate image and/or size information for a font character specified by ASCII value
CustomPrimitive	Provides access to custom primitive ID and class name
CustomProperties	Gets/Sets the value of a custom property.
DBLink	Provides access to the database link information for an image or template
Element	Provides selection and control of objects in Lyric’s scene graph
Flipbook	Provides access to the properties and individual pages (cels) of a flipbook in the scene
Font	Provides access to the properties of a Lyric Font
FontEdge	Provides access to the edge characteristics of a Lyric font
FontToolBar	Provides access to Lyric’s font tool bar
Image	Used to generate images from Lyric elements
KeyFrameEntry	Provides access to the properties of a particular keyframe
KeyFrames	Provides access to the keyframes of an object in the scene
LicenseObject	Used to verify features and add license codes to the Lyric license manager
LyricObject	Top level Lyric interface. Provides access to Canvas, Browsers, Images, Plugins, License Manager, and Custom Properties.
LyricVersion	Used to retrieve Lyric version and build information
MasterCustomProperties	Enumerates custom properties registered with Lyric
Node	Provides access to an object in the current scene
PlayList	Provides access to a playlist.
PlayListData	Provides access to a playlist line.
Plugin	Used to access/control a Lyric plugin
PluginCollection	Enumerates plugins registered with Lyric
Rect	Used to get rectangular coordinate information
RegisteredCustomEditorProperty	Used to retrieve information about a registered property
RegisteredNamespaceEnum	Enumerates the namespaces registered with Lyric
RegisteredProperties	Enumerates the properties registered for a specific Lyric Object
RegisteredProperty	Used to retrieve information about a registered property
RegisteredPropertyContext	Used to retrieve the name and context command ID for a registered property class of a specific Lyric object
Resolution	Used to get the current canvas dimensions, aspect ratio, and animation frame rate
RowBasedElement	Extension of Element Object to access/control a template within a 2D text window
RowBasedLyricProperties	Provides information on the built-in Lyric properties associated with a template
Scene	Provides access to scene components
Selection	Used to perform operations normally handled through Lyric’s user interface. Includes menu operations as well as interaction with 2D text windows.
Size	Used to get the dimensions (width and height) from various Lyric Objects
Text	Provides access to the text and font information of a template
Verticies	Used to access the verticies of an object


2DObjElement
2DObjElement object

Properties	Methods	Events
Description

Object used to access properties specific to a 2DObjElement

Remarks

This object is derived from the {Element} object


2DObjElement Properties
Properties

DBLink	IIUpdateEnable	Verticies
ExternalUpdateEnable	PixelAspect
FileName	ReplaceMode


2DObjElement Methods
Methods


2DObjElement Events
Events


2DObjElement DBLink
DBLink property

Applies to

2DObjElement

Declaration

property object.DBLink

Description

Gets the associated {DBLink} Object that contains the database link information

Returns

DBLink, {DBLink} Object.

Remarks


2DObjElement ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

2DObjElement

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables External Update of this image through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this template.
Returns

UpdateEnable - Bool. True if external update is enabled for this template.

Remarks


2DObjElement FileName
FileName property

Applies to

2DObjElement

Declaration

property object.FileName

Description

Gets the filename, if applicable, of the 2DObjElement

Remarks


2DObjElement IIUpdateEnable
IIUpdateEnable property

Applies to

2DObjElement

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that allows Intelligent Interface to update this image

Parameter	Description
UpdateEnable	Bool. True if updates are allowed.
Returns

UpdateEnable - Bool. True if updates are allowed.

Remarks


2DObjElement PixelAspect
PixelAspect property

Applies to

2DObjElement

Declaration

property object.PixelAspect

Description

Gets the pixel aspect ratio used when the 2DObjElement was brought onto the canvas

Returns

PixelAspectRatio, double.

Remarks

The pixel aspect ratio that is applied for this image is set in the Canvas Resolution dialog.


2DObjElement ReplaceMode
ReplaceMode property

Applies to

2DObjElement

Declaration

property object.ReplaceMode

Description

Remarks


2DObjElement Verticies
Verticies property

Applies to

2DObjElement

Declaration

property object.Verticies

Description

Gets the objects verticies (X and Y)

Returns

Vertex Object {CVerticiesProxy}

Remarks


ActiveCanvas
ActiveCanvas object

Properties	Methods	Events
Description

Object used to access items that are specific to the currently active Lyric canvas

Remarks

Retrieved through the ActiveCanvas method of the Lyric object


ActiveCanvas Properties
Properties

CurrentMessage	Playing	TranslationMode
DocumentBeingSaved	RenderToDuet	WindowDimension
Field	Scene
FrameCount	Selection


ActiveCanvas Methods
Methods

ClientToScreenX	MakeCurrent	SetFrame
ClientToScreenY	RemoteKey	SetPixelAspect
GetFont	RemoteMouse	SetResolution
GetFrame	SetFormat	Update


ActiveCanvas Events
Events


ActiveCanvas CurrentMessage
CurrentMessage property

Applies to

ActiveCanvas

Declaration

property object.CurrentMessage

Description

Gets the path and file name of the currently loaded message.

Returns

CurrentMessage, String. Path and file name of the currently loaded message

Remarks


ActiveCanvas DocumentBeingSaved
DocumentBeingSaved property

Applies to

ActiveCanvas

Declaration

property object.DocumentBeingSaved

Description

Gets the filename of the message currently being saved

Returns

File, String. Path and file name of the message being saved

Remarks


ActiveCanvas Field
Field property

Applies to

ActiveCanvas

Declaration

property object.Field(FieldMode)

Description

Allows control of the field that is to be rendered for a given frame

Parameter	Description
FieldMode	0=full frame, 1=field 1, 2=field 2;
Returns

FieldMode - 0=full frame, 1=field 1, 2=field 2;

Remarks


ActiveCanvas FrameCount
FrameCount property

Applies to

ActiveCanvas

Declaration

property object.FrameCount

Description

Gets the number of frames in the animation

Returns

FrameCount - Integer. Number of frames in animation.

Remarks


ActiveCanvas Playing
Playing property

Applies to

ActiveCanvas

Declaration

property object.Playing

Description

Flag that is set if an animation is playing.

Returns

Playing, Bool. True if an animation is playing.

Remarks


ActiveCanvas RenderToDuet
RenderToDuet property

Applies to

ActiveCanvas

Declaration

property object.RenderToDuet

Description

Gets whether Duet Render mode is enabled (i.e. the state of the Live button) If enabled, the current scene is automatically transferred to output after modification

Returns

Enable Flag, Boolean - True if rendering to Duet

Remarks

Duet Render mode can be toggled via the Selection.Execute method   e.g. ActiveCanvas.Selection.Execute("Duet Render")


ActiveCanvas Scene
Scene property

Applies to

ActiveCanvas

Declaration

property object.Scene

Description

Gets the Lyric Scene object associated with the canvas

Returns

Lyric Scene Object

Remarks


ActiveCanvas Selection
Selection property

Applies to

ActiveCanvas

Declaration

property object.Selection

Description

Gets the object that is currently selected

Returns

Lyric Selection Object

Remarks


ActiveCanvas TranslationMode
TranslationMode property

Applies to

ActiveCanvas

Declaration

property object.TranslationMode(Boolean)

Description

 Sets/Gets Character Translation Mode. Indicates whether use of alternate character set is enabled

Parameter	Description
Boolean	True if alternate character set is enabled
Returns

 Enable Flag, Boolean - True if alternate character set is enabled

Remarks


ActiveCanvas WindowDimension
WindowDimension property

Applies to

ActiveCanvas

Declaration

property object.WindowDimension

Description

Gets the current dimensions of the canvas's client area.

Returns

Dimensions, {Size} object. Client area dimensions

Remarks


ActiveCanvas ClientToScreenX
ClientToScreenX method

Applies to

ActiveCanvas

Declaration

function object.ClientToScreenX(ClientX)

Description

Converts the x coordinate given in canvas upper-left relative coordinates, to screen upper-left relative coordinates.

Parameter	Description
ClientX	Client x coordinate to convert
Returns

ScreenX - Converted x coordinate

Remarks


ActiveCanvas ClientToScreenY
ClientToScreenY function

Applies to

ActiveCanvas

Declaration

function object.ClientToScreenY(ClientY)

Description

Converts the y coordinate given in canvas upper-left relative coordinates, to screen upper-left relative coordinates.

Parameter	Description
ClientY	Client y coordinate to convert
Returns

ScreenY - Converted y coordinate

Remarks


ActiveCanvas GetFont
GetFont function

Applies to

ActiveCanvas

Declaration

function object.GetFont

Description

Gets the current font.

Returns

CurrentFont, {Font} Object. Current canvas font.

Remarks


ActiveCanvas GetFrame
GetFrame function

Applies to

ActiveCanvas

Declaration

function object.GetFrame

Description

Gets the current frame number.

Returns

FrameNumber - Integer. The current frame number.

Remarks


ActiveCanvas MakeCurrent
MakeCurrent function

Applies to

ActiveCanvas

Declaration

function object.MakeCurrent

Description

Remarks


ActiveCanvas RemoteKey
RemoteKey function

Applies to

ActiveCanvas

Declaration

function object.RemoteKey(Command, Char, RepCnt, Flags)

Description

Allows a remote process to force a key event within the canvas

Parameter	Description
Command	WM_CHAR, WM_KEYDOWN, WM_KEYUP, or WM_SYSKEYDOWN
Char	ASCII character code of key
RepCnt	Repetition Count
Flags	Flags parameter associated with the command
Remarks


ActiveCanvas RemoteMouse
RemoteMouse function

Applies to

ActiveCanvas

Declaration

function object.RemoteMouse(Command, Flags, X, Y, Width, Height)

Description

Allows a remote process to activate a mouse action within the canvas

Parameter	Description
Command	WM_MOUSEMOVE, WM_LBUTTONDOWN, WM_RBUTTONDOWN, WM_LBUTTONUP or WM_RBUTTONUP
Flags	Flags parameter associated with the command
X	X Coordinate relative to the upper left of the canvas.
Y	Y Coordinate relative to the upper left of the canvas
Width	width of the client area in which the mouse event occurred
Height	height of the client area in which the mouse event occurred
Remarks


ActiveCanvas SetFormat
SetFormat function

Applies to

ActiveCanvas

Declaration

function object.SetFormat

Description

Remarks


ActiveCanvas SetFrame
SetFrame function

Applies to

ActiveCanvas

Declaration

function object.SetFrame(FrameNumber)

Description

Sets the current frame

Parameter	Description
FrameNumber	Integer. Frame number to make current.
Remarks


ActiveCanvas SetPixelAspect
SetPixelAspect function

Applies to

ActiveCanvas

Declaration

function object.SetPixelAspect(PixelAspect)

Description

Sets the pixel aspect ratio.

Parameter	Description
PixelAspect	double float. Pixel aspect ratio.
Remarks


ActiveCanvas SetResolution
SetResolution function

Applies to

ActiveCanvas

Declaration

function object.SetResolution(Width, Height)

Description

Sets the canvas resolution

Parameter	Description
Width	Integer. Width of canvas in pixels.
Height	Integer. Height of canvas in scanlines.
Remarks


ActiveCanvas Update
Update function

Applies to

ActiveCanvas

Declaration

function object.Update

Description

Updates the canvas

Remarks


AnimationState
AnimationState object

Properties	Methods	Events
Description

Provides access to the animation state of an object at a given frame

Remarks

Obtained through the AnimationState method of an {Element} object     e.g. ActiveCanvas.Scene.ActiveObject.AnimationState 0, 0 Method names conform to the attributes as given in Lyric's timeline view


AnimationState Properties
Properties

EffectPct	PauseType	YCenter
Focus	RGBADiffuse	YPosition
ITVEventType	Shine	YRotation
LoopEnabled	Transp	YScale
LoopFrames	XCenter	ZCenter
LoopIterations	XPosition	ZPosition
PauseEnabled	XRotation	ZRotation
PauseTimeout	XScale	ZScale


AnimationState Methods
Methods


AnimationState Events
Events


AnimationState EffectPct
EffectPct property

Applies to

AnimationState

Declaration

property object.EffectPct

Description

Gets the effect percentage for the object at the given frame

Returns

EffectPct - Node's Effect Pct as a percentage from 0 to 100

Remarks

Applies to rolls, crawls, and type-on windows, and advanced image effects


AnimationState Focus
Focus property

Applies to

AnimationState

Declaration

property object.Focus

Description

Gets the Focus for the object at the given frame

Returns

Focus - Node's Focus

Remarks

Applies to a camera object only


AnimationState ITVEventType
ITVEventType property

Applies to

AnimationState

Declaration

property object.ITVEventType

Description

Gets the ITV Event Type for the object at the given frame

Returns

ITVEventType - Node's ITV Event Type

Remarks


AnimationState LoopEnabled
LoopEnabled property

Applies to

AnimationState

Declaration

property object.LoopEnabled

Description

Gets the Loop Enabled for the object at the given frame

Returns

LoopEnabled - Loop Enabled 1.0 or 0.0

Remarks


AnimationState LoopFrames
LoopFrames property

Applies to

AnimationState

Declaration

property object.LoopFrames

Description

Gets the Loop Frames for the object at the given frame.

Returns

LoopFrames - Node's Loop Frames

Remarks


AnimationState LoopIterations
LoopIterations property

Applies to

AnimationState

Declaration

property object.LoopIterations

Description

Gets the Loop Iterations for the object at the given frame

Returns

LoopIterations - Node's Loop Iterations.

Remarks


AnimationState PauseEnabled
PauseEnabled property

Applies to

AnimationState

Declaration

property object.PauseEnabled

Description

Gets the Pause Enabled for the object at the given frame

Returns

PauseEnabled - Node's Pause Enabled

Remarks


AnimationState PauseTimeout
PauseTimeout property

Applies to

AnimationState

Declaration

property object.PauseTimeout

Description

Gets the Pause Timeout for the object at the given frame

Returns

PauseTimeout - Node's Pause Timeout

Remarks


AnimationState PauseType
PauseType property

Applies to

AnimationState

Declaration

property object.PauseType

Description

Gets the Pause Type for the object at the given frame

Returns

PauseType - Node's Pause Type

Remarks


AnimationState RGBADiffuse
RGBADiffuse property

Applies to

AnimationState

Declaration

property object.RGBADiffuse

Description

Gets the color value for the object at the given frame

Returns

RGBADiffuse - Node's color value

Remarks


AnimationState Shine
Shine property

Applies to

AnimationState

Declaration

property object.Shine

Description

Gets the shininess (intensity) value for the object at the given frame

Returns

Shine - Node's Shine

Remarks

Applies to a light object only


AnimationState Transp
Transp property

Applies to

AnimationState

Declaration

property object.Transp

Description

Gets the transparency value for the object at the given frame

Returns

Transp - Node's transparency as a percentage from 0 to 100

Remarks


AnimationState XCenter
XCenter property

Applies to

AnimationState

Declaration

property object.XCenter

Description

Gets the X Center for the object at the given frame

Returns

XCenter - Node's X Center in world coordinates

Remarks


AnimationState XPosition
XPosition property

Applies to

AnimationState

Declaration

property object.XPosition

Description

Gets the X Position for the object at the given frame

Returns

XPosition - Node's x position in world coordinates

Remarks


AnimationState XRotation
XRotation property

Applies to

AnimationState

Declaration

property object.XRotation

Description

Gets the X Rotation for the object at the given frame

Returns

XRotation - Node's X Rotation in degrees

Remarks


AnimationState XScale
XScale property

Applies to

AnimationState

Declaration

property object.XScale

Description

Gets the X Scale for the object at the given frame

Returns

XScale - Node's X Scale.  Range 0 to 100.  Set to 1 for no scale.

Remarks


AnimationState YCenter
YCenter property

Applies to

AnimationState

Declaration

property object.YCenter

Description

Gets the Y Center for the object at the given frame

Returns

YCenter - Node's Y Center in world coordinates

Remarks


AnimationState YPosition
YPosition property

Applies to

AnimationState

Declaration

property object.YPosition

Description

Gets the Y Position for the object at the given frame

Returns

YPosition - Node's y position in world coordinates

Remarks


AnimationState YRotation
YRotation property

Applies to

AnimationState

Declaration

property object.YRotation

Description

Gets the Y Rotation for the object at the given frame

Returns

YRotation - Node's Y Rotation in degrees

Remarks


AnimationState YScale
YScale property

Applies to

AnimationState

Declaration

property object.YScale

Description

Gets the Y Scale for the object at the given frame

Returns

YScale - Node's Y Scale.  Range 0 to 100.  Set to 1 for no scale.

Remarks


AnimationState ZCenter
ZCenter property

Applies to

AnimationState

Declaration

property object.ZCenter

Description

Gets the Z Center for the object at the given frame

Returns

ZCenter - Node's Z Center in world coordinates

Remarks


AnimationState ZPosition
ZPosition property

Applies to

AnimationState

Declaration

property object.ZPosition

Description

Gets the Z Position for the object at the given frame

Returns

ZPosition - Node's z position in world coordinates

Remarks


AnimationState ZRotation
ZRotation property

Applies to

AnimationState

Declaration

property object.ZRotation

Description

Gets the Z Rotation for the object at the given frame

Returns

ZRotation - Node's Z Rotation in degrees

Remarks


AnimationState ZScale
ZScale property

Applies to

AnimationState

Declaration

property object.ZScale

Description

Gets the Z Scale for the object at the given frame

Returns

ZScale - Node's Z Scale.  Range 0 to 100.  Set to 1 for no scale.

Remarks


Background
Background object

Properties	Methods	Events
Description

Allows access to the background of the canvas or an element

Remarks

Derived from Element Object


Background Properties
Properties


Background Methods
Methods

SetColor	SetPaletteEntry


Background Events
Events


Background SetColor
SetColor method

Applies to

Background

Declaration

function object.SetColor(Color, Transparency)

Description

sets the background to the given solid color

Parameter	Description
Color	Integer - Bits 0-7 blue, bits 8-15 green, bits 16-31 red.
Transparency	Integer - between 0 and 255
Returns

True if the background was successfully set

Remarks


Background SetPaletteEntry
SetPaletteEntry function

Applies to

Background

Declaration

function object.SetPaletteEntry(Index, Index)

Description

sets the background to the given palette entry

Parameter	Description
Index	between 1 and 8
Index	between 1 and 16
Returns

True if the background was successfully set

Remarks


Browser
Browser object

Properties	Methods	Events
Description

Gets either a particular asset (table) from a Lyric Browser database

Remarks


Browser Properties
Properties


Browser Methods
Methods

Asset


Browser Events
Events


Browser Asset
Asset method

Applies to

Browser

Declaration

function object.Asset(Type)

Description

Gets an object used to access a table of a Lyric Browser database

Parameter	Description
Type	Asset Type can be "Messages" or "Images"
Returns

Lyric Browser Asset Object

Remarks


BrowserAsset
BrowserAsset object

Properties	Methods	Events
Description

Enumeration object used to access individual records of a Lyric browser database

Remarks


BrowserAsset Properties
Properties


BrowserAsset Methods
Methods

Count	Record


BrowserAsset Events
Events


BrowserAsset Count
Count method

Applies to

BrowserAsset

Declaration

function object.Count

Description

Gets the number of records this asset holds

Returns

Int    : Record count

Remarks


BrowserAsset Record
Record function

Applies to

BrowserAsset

Declaration

function object.Record(RetrievalIndex, ByRecordID)

Description

Gets a record from this assets table

Parameter	Description
RetrievalIndex	Record to retrieve. Record is retrieved by zero based index if optional arg is not supplied or is set to fals. If optional arg is supplied and set to true record is retrieved by record ID
ByRecordID	Optional boolean arg that when set to true will causes the first arg to be treated as a record ID as opposed to an enumeration index
Returns

Lyric Browser Image Object if this asset was retrieved as "Images" or a Lyric Browser Message Object if it was retrieved as "Messages"

Remarks


BrowserImage
BrowserImage object

Properties	Methods	Events
Description

Object that provides access to one image record of a Lyric Browser database

Remarks


BrowserImage Properties
Properties


BrowserImage Methods
Methods

Author	RecordID	Title
Comments	Subject	URL
KeyWords	Thumbnail


BrowserImage Events
Events


BrowserImage Author
Author method

Applies to

BrowserImage

Declaration

function object.Author

Description

Gets the author of the image

Returns

String

Remarks


BrowserImage Comments
Comments function

Applies to

BrowserImage

Declaration

function object.Comments

Description

Gets the comment string associated with the image

Returns

String

Remarks


BrowserImage KeyWords
KeyWords function

Applies to

BrowserImage

Declaration

function object.KeyWords

Description

Gets the keyword string associated of the image

Returns

String

Remarks


BrowserImage RecordID
RecordID function

Applies to

BrowserImage

Declaration

function object.RecordID

Description

Gets the record ID used by the database to uniquely identify this entry

Returns

Int   : Record ID from database

Remarks


BrowserImage Subject
Subject function

Applies to

BrowserImage

Declaration

function object.Subject

Description

Gets the subject of the image

Returns

String

Remarks


BrowserImage Thumbnail
Thumbnail function

Applies to

BrowserImage

Declaration

function object.Thumbnail

Description

Gets an interface to the image by its filename as it exists on the host filesystem

Returns

Lyric Image Object

Remarks


BrowserImage Title
Title function

Applies to

BrowserImage

Declaration

function object.Title

Description

Gets the title of the image

Returns

String

Remarks


BrowserImage URL
URL function

Applies to

BrowserImage

Declaration

function object.URL

Description

Gets the path and file name of the image as it exists on the host filesystem

Returns

String

Remarks


BrowserMessage
BrowserMessage object

Properties	Methods	Events
Description

Object that provides access to one message record of a Lyric Browser database

Remarks


BrowserMessage Properties
Properties


BrowserMessage Methods
Methods

Author	MessageNumber	Thumbnail
Comments	RecordID	Title
Keywords	Subject	URL


BrowserMessage Events
Events


BrowserMessage Author
Author method

Applies to

BrowserMessage

Declaration

function object.Author

Description

Gets the author of the message

Returns

String

Remarks


BrowserMessage Comments
Comments function

Applies to

BrowserMessage

Declaration

function object.Comments

Description

Gets the comment string associated with the message

Returns

String

Remarks


BrowserMessage Keywords
Keywords function

Applies to

BrowserMessage

Declaration

function object.Keywords

Description

Gets the keyword string associated of the message

Returns

String

Remarks


BrowserMessage MessageNumber
MessageNumber function

Applies to

BrowserMessage

Declaration

function object.MessageNumber

Description

Gets the Lyric message number that this message was recorded as

Returns

Int   : Lyric message number

Remarks


BrowserMessage RecordID
RecordID function

Applies to

BrowserMessage

Declaration

function object.RecordID

Description

Gets the record ID used by the database to uniquely identify this entry

Returns

Int   : Record ID from database

Remarks


BrowserMessage Subject
Subject function

Applies to

BrowserMessage

Declaration

function object.Subject

Description

Gets the subject of the message

Returns

String

Remarks


BrowserMessage Thumbnail
Thumbnail function

Applies to

BrowserMessage

Declaration

function object.Thumbnail

Description

Gets a graphical representation of the message

Returns

Lyric Image Object

Remarks


BrowserMessage Title
Title function

Applies to

BrowserMessage

Declaration

function object.Title

Description

Gets the title of the message

Returns

String

Remarks


BrowserMessage URL
URL function

Applies to

BrowserMessage

Declaration

function object.URL

Description

Gets the path and file name of the message as it exists on the host filesystem

Returns

String

Remarks


BrowsersCollection
BrowsersCollection object

Properties	Methods	Events
Description

Object used to enumerate and obtain the hosts registered Lyric browsers

Remarks


BrowsersCollection Properties
Properties


BrowsersCollection Methods
Methods

Browser	Count	DataSource


BrowsersCollection Events
Events


BrowsersCollection Browser
Browser method

Applies to

BrowsersCollection

Declaration

function object.Browser(DSN)

Description

Gets an object to retrieve information from a registered Lyric browser

Parameter	Description
DSN	Data Source Name of the registered Lyric browser
Returns

Lyric Browser Object

Remarks


BrowsersCollection Count
Count function

Applies to

BrowsersCollection

Declaration

function object.Count

Description

Gets the number of registered Lyric browsers

Returns

Int    : Number of browsers

Remarks


BrowsersCollection DataSource
DataSource function

Applies to

BrowsersCollection

Declaration

function object.DataSource(BrowserIndex)

Description

Gets the Data Source Name for a registered Lyric browser

Parameter	Description
BrowserIndex	Index of the registered Lyric browser.
Returns

String : Data Source Name

Remarks


Character
Character object

Properties	Methods	Events
Description

Object used to contain image and size information for a font character specified by ASCII value

Remarks

Retrieved through the CharacterData method on a Font object


Character Properties
Properties

AsciiValue	Image
Descent	Rect


Character Methods
Methods


Character Events
Events


Character AsciiValue
AsciiValue property

Applies to

Character

Declaration

property object.AsciiValue

Description

Gets the ASCII value for the character

Returns

ASCIIValue - Integer.

Remarks


Character Descent
Descent property

Applies to

Character

Declaration

property object.Descent

Description

Gets the number of scanlines that the character extends below the baseline.

Returns

Descent - Integer. Number of scanlines that the character extends.below the baseline

Remarks


Character Image
Image property

Applies to

Character

Declaration

property object.Image

Description

Gets the associated {Image} Object that contains the character's rendered RGBA data

Returns

CharacterImage, {Image} Object.

Remarks

The Image object returned MUST be released before the Character object


Character Rect
Rect property

Applies to

Character

Declaration

property object.Rect

Description

Gets the bounding rectangle (size) of this object's image data

Returns

BoundingRect, {Rect} Object.

Remarks


ClockTimer
ClockTimer object

Properties	Methods	Events
Description

Object used to access properties specific to a Clock or Timer

Remarks

This object is derived from the {Element} object


ClockTimer Properties
Properties

Format	ResetTime


ClockTimer Methods
Methods

Action


ClockTimer Events
Events


ClockTimer Format
Format property

Applies to

ClockTimer

Declaration

property object.Format(String)

Description

Gets/sets the format of the clock/timer to that specified

Parameter	Description
String	Format string.  Must be one of the available formats as listed in  the Clock/Timer property page
Returns

String - Current format string of the clock or timer

Remarks


ClockTimer ResetTime
ResetTime property

Applies to

ClockTimer

Declaration

property object.ResetTime(String)

Description

Gets/sets the reset time to that specified.  Applicable to countdown timers only.

Parameter	Description
String	Reset Time.  Must conform to the current format of the countdown timer
Returns

String - Current reset time of the countdown timer

Remarks


ClockTimer Action
Action method

Applies to

ClockTimer

Declaration

function object.Action(String)

Description

Executes the action specified on the clock or timer

Parameter	Description
String	Action to perform. See remarks.
Returns

True if successful

Remarks

Actions, as listed in Lyric's Clock/Timer property page, include
"Start"
"Stop"
"Toggle Start"
"Split"
"Toggle Split"
"Reset"
"Show"
"Hide"
"Toggle Show"
"Anim In"
"Anim Out"
"Toggle Anim"


CustomPrimitive
CustomPrimitive object

Properties	Methods	Events
Description

Allows access to custom primitive ID and class name

Remarks

Derived from Element Object


CustomPrimitive Properties
Properties

Class	ID


CustomPrimitive Methods
Methods


CustomPrimitive Events
Events


CustomPrimitive Class
Class property

Applies to

CustomPrimitive

Declaration

property object.Class

Description

Gets the class name for the custom primitive

Returns

Class name - string containing class name

Remarks


CustomPrimitive ID
ID property

Applies to

CustomPrimitive

Declaration

property object.ID

Description

Gets Custom ID

Returns

Custom ID

Remarks


CustomProperties
CustomProperties object

Properties	Methods	Events
Description

Gets/Sets the value of a custom property.

Remarks

This interface is accessed throuch a property namespace originating at a {Node}, an {Element} or the {Scene}. As an example the {Scene} object has the method {Scene.Properties} which takes a namespace parameter and returns a  {CustomProperties} object. From the {CustomProperties} object the property {CustomProperties.Value} is available for getting and setting the values of custom properties for the scene. Remember that before a property can be accessed in this manner it has to be registered with {LyricObject.RegisterObjectProperty}


CustomProperties Properties
Properties

Value


CustomProperties Methods
Methods


CustomProperties Events
Events


CustomProperties Value
Value property

Applies to

CustomProperties

Declaration

property object.Value(Name, Value)

Description

Gets or Sets the value of a custom property

Parameter	Description
Name	Custom property name
Value	Custom property value (when setting)
Returns

Variant : Custom property value

Remarks

 VBScript Example :  The following example registers a namespace "Export Properties" with Lyric2DObjects, and the LyricGlobalLight (the global light is used to hold all the scene properties). And declares a property named "File Name" within  that namespace. It then gets the {Scene} object from the {Canvas} object and in turn gets the scenes  {CustomProperties} object. Once the {CustomProperties} object is obtained its value is set and retreived via {CustomProperties.Value} property  dim lyricObjects(1) lyricObjects(0)  = "Lyric2DObject" lyricObjects(1)  = "LyricGlobalLight" 'The following two lines need to be left out if the VB Script is part of a lyric macro  set lyricServer = CreateObject("lyric.lyricServer.1") set lyric    = lyricServer.GetLyric                     call lyric.RegisterObjectProperty("Export Properties", "File Name", 0, "", lyricObjects, "")  set canvas          = lyric.ActiveCanvas set scene           = canvas.Scene   set sceneProperties = scene.Properties("Export Properties")  sceneProperties.Value("File Name") = "c:filesfiles.xml"  MsgBox sceneProperties.Value("File Name")


DBLink
DBLink object

Properties	Methods	Events
Description

Object used to contain database link information for an image or template

Remarks


DBLink Properties
Properties

DataSource	Enabled	RecordNumber
DecimalPlaces	Field	Table


DBLink Methods
Methods


DBLink Events
Events


DBLink DataSource
DataSource property

Applies to

DBLink

Declaration

property object.DataSource

Description

Gets/Sets the data source name (DSN)

Returns

DSN, String : Name of data source to link to

Remarks


DBLink DecimalPlaces
DecimalPlaces property

Applies to

DBLink

Declaration

property object.DecimalPlaces

Description

Gets/Sets the decimal places that should be displayed for numeric database fields

Returns

DecPlaces, Integer: Number of decimal places to be displayed.  Range 0 to 10 or set to -1 to indicate the field is non-numeric

Remarks

Applicable only to templates which are linked to numeric database fields


DBLink Enabled
Enabled property

Applies to

DBLink

Declaration

property object.Enabled

Description

Gets/Sets the enable flag

Returns

True if database link is enabled for this element

Remarks


DBLink Field
Field property

Applies to

DBLink

Declaration

property object.Field

Description

Gets/Sets the field name

Returns

Field, String : Name of field in database to link to

Remarks


DBLink RecordNumber
RecordNumber property

Applies to

DBLink

Declaration

property object.RecordNumber

Description

Gets/Sets the record number

Returns

Record, Integer: Number of record in database to link to

Remarks


DBLink Table
Table property

Applies to

DBLink

Declaration

property object.Table

Description

Gets/Sets the table name

Returns

Table, String : Name of table in database to link to

Remarks


Element
Element object

Properties	Methods	Events
Description

Object that allows selection and control of Lyric Graphic and Template objects

Remarks


Element Properties
Properties

AntiAlias	Node	Text
Image	RGBAImage	Type
Name	Rect	UniqueID


Element Methods
Methods

ClipRect	Properties
LoadFromURL	Update


Element Events
Events


Element AntiAlias
AntiAlias property

Applies to

Element

Declaration

property object.AntiAlias(Border)

Description

Gets/Sets whether a border is applied to a graphic image before it is drawn to the canvas.

Parameter	Description
Border	Boolean.  True if a border is applied
Returns

Border - Boolean.  True if a border is applied

Remarks


Element Image
Image property

Applies to

Element

Declaration

property object.Image

Description

Gets the elements Image Object using the RGBA data from the canvas.

Returns

Lyric Image Object

Remarks


Element Name
Name property

Applies to

Element

Declaration

property object.Name(Name)

Description

Gets/Sets the name of the Element

Parameter	Description
Name	String. Name of the element
Returns

Name - String. Name of the element

Remarks


Element Node
Node property

Applies to

Element

Declaration

property object.Node

Description

Gets the node associated with this element

Returns

Node : Node that is the parent of this element, NULL if element does not have a parent node

Remarks


Element RGBAImage
RGBAImage property

Applies to

Element

Declaration

property object.RGBAImage

Description

Gets the elements Image Object, if the element is a Bitmap. The image object references the original RGBA data used to create the object

Returns

Lyric Image Object

Remarks


Element Rect
Rect property

Applies to

Element

Declaration

property object.Rect

Description

Gets the canvas relative coordinates of the element

Returns

Lyric Rect Object

Remarks


Element Text
Text property

Applies to

Element

Declaration

property object.Text

Description

Gets the text object (if one exists) used by the element

Returns

Lyric Text Object

Remarks


Element Type
Type property

Applies to

Element

Declaration

property object.Type

Description

Gets the type of the element

Returns

Integer - Element type

Remarks

0 = Image
1 = Template
2 = Template Window
3 = Browser Image
4 = Browser Message
5 = Static Primitive
6 = FlipbookElement
7 = Row
8 = ClipElement


Element UniqueID
UniqueID property

Applies to

Element

Declaration

property object.UniqueID

Description

Gets the GUID used to reference this elements custom properties.

Returns

GUID, String. custom property container GUID.

Remarks


Element ClipRect
ClipRect method

Applies to

Element

Declaration

sub object.ClipRect(Left, Top, Right, Bottom)

Description

Sets the maximum bounding rectangle for the element

Parameter	Description
Left	Integer. Minimum x coordinate for clip rectangle
Top	Integer. Minimum y coordinate for clip rectangle
Right	Integer. Maximum x coordinate for clip rectangle
Bottom	Integer. Maximum y coordinate for clip rectangle
Remarks


Element LoadFromURL
LoadFromURL sub

Applies to

Element

Declaration

sub object.LoadFromURL(URL)

Description

Loads an element from the specified URL.

Parameter	Description
URL	Variant BSTR. Filename  (i.e. c:\temp\test.bmp)  or GUID DB lookup specified as GUID: [DSN][TABLE][AssetGUID]
Returns

True if the URL was successfully loaded

Remarks


Element Properties
Properties sub

Applies to

Element

Declaration

sub object.Properties(Namespace)

Description

Gets the Lyric Properties Object for this element

Parameter	Description
Namespace	String. Property namespace
Returns

Lyric Properties Object

Remarks


Element Update
Update sub

Applies to

Element

Declaration

sub object.Update

Description

Command intended for Static Primitive only. Called when the primitive has been updated externaly

Remarks


Flipbook
Flipbook object

Properties	Methods	Events
Description

Object used to access flipbook properties and to allow access to individual pages

Remarks

This object is derived from the {Element} object


Flipbook Properties
Properties

Loop	PageCount	Period


Flipbook Methods
Methods

Page	ResetFlipbook


Flipbook Events
Events


Flipbook Loop
Loop property

Applies to

Flipbook

Declaration

property object.Loop

Description

Gets a boolean flag that determines if the flipbook should loop if it's timeline length exceeds the number of available pages

Returns

Loop - Boolean set to True if flipbook loops, False otherwise

Remarks


Flipbook PageCount
PageCount property

Applies to

Flipbook

Declaration

property object.PageCount

Description

Gets the number of pages (cels) contained in the flipbook

Returns

Page Count - Integer. Number of pages in the flipbook.

Remarks


Flipbook Period
Period property

Applies to

Flipbook

Declaration

property object.Period

Description

Remarks


Flipbook Page
Page method

Applies to

Flipbook

Declaration

function object.Page(Number)

Description

Gets the {Image} Object for a specific page.

Parameter	Description
Number	Integer. Determines which page to get. Valid rages is 0 to {Flipbook.PageCount} - 1
Returns

Page, {Image} Object.

Remarks


Flipbook ResetFlipbook
ResetFlipbook function

Applies to

Flipbook

Declaration

function object.ResetFlipbook

Description

Resets the internal page reference to the first page.

Remarks

The first call to the Image function which this object inherits from {Element} gets the first page of the flipbook and increments an internal pointer such that the next call will get the second page if one exists. Calling ResetFlipbook sets this pointer back to the first page.


Font
Font object

Properties	Methods	Events
Description

Object that describes a Lyric Font

Remarks


Font Properties
Properties

AspectRatio	HasTexture	SpaceWidth
Blur	Height	TexturePath
Bold	HorizShear	Transparency
Color	HorizontalFlip	Underline
ColorIndex	Italic	VerticalFlip
DefaultSpaceWidth	Kerning	VerticalShear
Edge	Leading	Width
EdgeCount	Name	XYFilter
HasRamp	RotationAngle


Font Methods
Methods

CharacterData	ResetToDefault
IsSame	Update


Font Events
Events


Font AspectRatio
AspectRatio property

Applies to

Font

Declaration

property object.AspectRatio(AspectRatio)

Description

Aspect ratio of the font

Parameter	Description
AspectRatio	double float. Sets the aspect ratio for the font.
Returns

AspectRatio - double float. Gets the aspect ratio for the font.

Remarks


Font Blur
Blur property

Applies to

Font

Declaration

property object.Blur(BlurValue)

Description

Blur setting 0 (no blur) to 100 completely blurred

Parameter	Description
BlurValue	Integer. Range 0 to 100
Returns

BlurValue - Integer. Range 0 to 100

Remarks


Font Bold
Bold property

Applies to

Font

Declaration

property object.Bold

Description

Indicates whether or not the font is bold.

Returns

Bold - Bool : True if the font is bold, False if it is not

Remarks


Font Color
Color property

Applies to

Font

Declaration

property object.Color(FaceColor)

Description

Fonts face color

Parameter	Description
FaceColor	Integer. Bits 0-7 blue, bits 8-15 green, bits 16-31 red.
Returns

FaceColor - Integer. Bits 0-7 blue, bits 8-15 green, bits 16-31 red.

Remarks


Font ColorIndex
ColorIndex property

Applies to

Font

Declaration

property object.ColorIndex(Index)

Description

Sets face and edge color to palette entry provided

Parameter	Description
Index	Integer. Range 1 - 16.
Remarks


Font DefaultSpaceWidth
DefaultSpaceWidth property

Applies to

Font

Declaration

property object.DefaultSpaceWidth

Description

Sets width of space character to the default value for the current font parameters

Returns

SpaceWidth - Integer.  Default space width

Remarks


Font Edge
Edge property

Applies to

Font

Declaration

property object.Edge(EdgeIndex)

Description

Get a Lyric Font Edge Object

Parameter	Description
EdgeIndex	Edge index range 0 to {Font.EdgeCount} - 1.
Returns

FontEdge, {Edge} Object.

Remarks


Font EdgeCount
EdgeCount property

Applies to

Font

Declaration

property object.EdgeCount(EdgeCount)

Description

Number of edges contained in font.

Parameter	Description
EdgeCount	Integer. Number of edges
Returns

EdgeCount - Integer. Number of edges.

Remarks


Font HasRamp
HasRamp property

Applies to

Font

Declaration

property object.HasRamp

Description

Returns true if face is textured with a a gradated ramp

Returns

HasRamp - Bool.  True if face texture is gradated.

Remarks


Font HasTexture
HasTexture property

Applies to

Font

Declaration

property object.HasTexture(HasTexture)

Description

Flag that is set if face of font has a texture file mapped to it

Parameter	Description
HasTexture	Bool. True if font face has a texture file mapped.
Returns

HasTexture - Bool. True if font face has a texture file mapped.

Remarks


Font Height
Height property

Applies to

Font

Declaration

property object.Height(FontHeight)

Description

Height of the font in scanlines

Parameter	Description
FontHeight	Integer. Height of font in scanlines
Returns

FontHeight - Integer. Height of font in scanlines

Remarks


Font HorizShear
HorizShear property

Applies to

Font

Declaration

property object.HorizShear(HorizontalShear)

Description

Horizontal Shear for the font

Parameter	Description
HorizontalShear	double float.
Returns

HorizontalShear - double float.

Remarks


Font HorizontalFlip
HorizontalFlip property

Applies to

Font

Declaration

property object.HorizontalFlip(HorizontalFlip)

Description

Indicates whether or not the font is flipped horizontally

Parameter	Description
HorizontalFlip	Bool. True to flip font horizontally.
Returns

HorizontalFlip - Bool. True if font is flipped

Remarks


Font Italic
Italic property

Applies to

Font

Declaration

property object.Italic(Italic)

Description

Indicates whether or not the font style is Italic

Parameter	Description
Italic	Bool. True to set the font style to Italic.
Returns

Italic - Bool. True if the font style is Italic.

Remarks


Font Kerning
Kerning property

Applies to

Font

Declaration

property object.Kerning(Kerning)

Description

Kerning (extra inter-character spacing) in pixels.

Parameter	Description
Kerning	Integer.
Returns

Kerning - Integer.

Remarks


Font Leading
Leading property

Applies to

Font

Declaration

property object.Leading(Leading)

Description

Leading (extra row spacing) in scanlines

Parameter	Description
Leading	Integer.
Returns

Leading - Integer.

Remarks


Font Name
Name property

Applies to

Font

Declaration

property object.Name(FontName)

Description

Name of the font

Parameter	Description
FontName	String
Returns

FontName - String

Remarks


Font RotationAngle
RotationAngle property

Applies to

Font

Declaration

property object.RotationAngle(RotationAngle)

Description

Angle (0-360) that the font is rotated

Parameter	Description
RotationAngle	Integer. Range 0 to 360.
Returns

RotationAngle - Integer. Range 0 to 360.

Remarks


Font SpaceWidth
SpaceWidth property

Applies to

Font

Declaration

property object.SpaceWidth(SpaceWidth)

Description

Width of a space character in pixels

Parameter	Description
SpaceWidth	Integer.
Returns

SpaceWidth - Integer.

Remarks


Font TexturePath
TexturePath property

Applies to

Font

Declaration

property object.TexturePath(TexturePath)

Description

Path to image file containing texture that is mapped to font

Parameter	Description
TexturePath	String. Path and file name of texture image (i.e. c:\images\texture.tif).
Returns

TexturePath - String. Path and file name of texture image (i.e. c:\images\texture.tif).

Remarks


Font Transparency
Transparency property

Applies to

Font

Declaration

property object.Transparency(Transparency)

Description

Transparency setting

Parameter	Description
Transparency	Integer. 0 fully opaque to 100 fully transparent.
Returns

Transparency - Integer. 0 fully opaque to 100 fully transparent.

Remarks


Font Underline
Underline property

Applies to

Font

Declaration

property object.Underline(Underline)

Description

Indicates whether or not the font is underlined

Parameter	Description
Underline	Bool. True to set the font for underline.
Returns

Underline - Bool. True if the font is underlined

Remarks


Font VerticalFlip
VerticalFlip property

Applies to

Font

Declaration

property object.VerticalFlip(VerticalFlip)

Description

Indicates whether or not the font is flipped vertically

Parameter	Description
VerticalFlip	Bool. True to flip font vertically.
Returns

VerticalFlip - Bool. True if the font is flipped vertically.

Remarks


Font VerticalShear
VerticalShear property

Applies to

Font

Declaration

property object.VerticalShear(VerticalShear)

Description

Vertical Shear for the font

Parameter	Description
VerticalShear	double float.
Returns

VerticalShear - double float.

Remarks


Font Width
Width property

Applies to

Font

Declaration

property object.Width(CharacterWidth)

Description

Gets the average character width

Parameter	Description
CharacterWidth	Integer. Average character width in pixels.
Returns

CharacterWidth - Integer. Average character width in pixels.

Remarks


Font XYFilter
XYFilter property

Applies to

Font

Declaration

property object.XYFilter(0)

Description

X and Y blur values

Parameter	Description
0	7 valid range 0-50, X blur bits 8-15 valid range 0-50
Returns

Y blur bits 0-7 valid range 0-50, X blur bits 8-15 valid range 0-50

Remarks


Font CharacterData
CharacterData method

Applies to

Font

Declaration

function object.CharacterData(Value)

Description

Retrieves a {Character} object for a given character using the font settings.

Parameter	Description
Value	Integer. ASCII character code.
Returns

CharacterObject, {Character} object.

Remarks


Font IsSame
IsSame function

Applies to

Font

Declaration

function object.IsSame(CompareTo)

Description

Compares this Font object to another.

Parameter	Description
CompareTo	{Font} Object. Font for comparison.
Returns

FontsSame - Bool. True if fonts are identical.

Remarks


Font ResetToDefault
ResetToDefault function

Applies to

Font

Declaration

function object.ResetToDefault

Description

Resets all font properties to their default values

Remarks


Font Update
Update function

Applies to

Font

Declaration

function object.Update

Description

Applies changes in font properties to all relevant UI elements

Remarks


FontEdge
FontEdge object

Properties	Methods	Events
Description

Provides information on font edge characteristics

Remarks


FontEdge Properties
Properties

Blur	HasTexture	Transparency
Color	RotationAngle	Type
EdgeSize	Softness
HasRamp	TexturePath


FontEdge Methods
Methods


FontEdge Events
Events


FontEdge Blur
Blur property

Applies to

FontEdge

Declaration

property object.Blur(BlurValue)

Description

Blur setting 0 (no blur) to 100 completely blurred

Parameter	Description
BlurValue	Integer. Range 0 to 100
Returns

BlurValue - Integer. Range 0 to 100

Remarks


FontEdge Color
Color property

Applies to

FontEdge

Declaration

property object.Color(EdgeColor)

Description

Edge color

Parameter	Description
EdgeColor	Integer. Bits 0-7 blue, bits 8-15 green, bits 16-31 red.
Returns

EdgeColor - Integer. Bits 0-7 blue, bits 8-15 green, bits 16-31 red.

Remarks


FontEdge EdgeSize
EdgeSize property

Applies to

FontEdge

Declaration

property object.EdgeSize(EdgeSize)

Description

Size of edge in pixels.

Parameter	Description
EdgeSize	Integer. Size of edge.
Returns

EdgeSize - Integer. Size of edge.

Remarks


FontEdge HasRamp
HasRamp property

Applies to

FontEdge

Declaration

property object.HasRamp

Description

Flag that is set if the edge uses a color ramp.

Returns

HasRamp - Bool. True if edge uses a color ramp. HasRamp. Bool. True if edge uses a color ramp.

Remarks


FontEdge HasTexture
HasTexture property

Applies to

FontEdge

Declaration

property object.HasTexture(HasTexture)

Description

Flag that is set if edge has a texture file mapped to it

Parameter	Description
HasTexture	Bool. True if edge has a texture file mapped.
Returns

HasTexture - Bool. True if edge has a texture file mapped.

Remarks


FontEdge RotationAngle
RotationAngle property

Applies to

FontEdge

Declaration

property object.RotationAngle(Angle)

Description

Angle at which to apply the edge.

Parameter	Description
Angle	Integer. Range 0-359.
Returns

Rotation Angle - Integer. Range 0-359

Remarks

Valid only for offset and shadow edges


FontEdge Softness
Softness property

Applies to

FontEdge

Declaration

property object.Softness(BlurValue)

Description

Blur setting

Parameter	Description
BlurValue	Integer. Range 0 (no blur) to 100 completely blurred
Returns

BlurValue - Integer. Range 0 (no blur) to 100 completely blurred

Remarks


FontEdge TexturePath
TexturePath property

Applies to

FontEdge

Declaration

property object.TexturePath(TexturePath)

Description

Path to image file containing texture that is mapped to font edge

Parameter	Description
TexturePath	String. Path and file name of texture image (i.e. c:\images\texture.tif).
Returns

TexturePath, String. Path and file name of texture image (i.e. c:\images\texture.tif).

Remarks


FontEdge Transparency
Transparency property

Applies to

FontEdge

Declaration

property object.Transparency(Transparency)

Description

Transparency setting

Parameter	Description
Transparency	Integer. 0 fully opaque to 100 fully transparent.
Returns

Transparency - Integer. 0 fully opaque to 100 fully transparent.

Remarks


FontEdge Type
Type property

Applies to

FontEdge

Declaration

property object.Type(Type)

Description

Type of edge.

Parameter	Description
Type	Integer, 0=No Edge, 1=Border, 2=Drop Shadow, 3=Offset.
Returns

Type - Integer. 0=No Edge, 1=Border, 2=Drop Shadow, 3=Offset.

Remarks


FontToolBar
FontToolBar object

Properties	Methods	Events
Description

 Object used to access font toolbar in Lyric

Remarks

 Retrieve through the FontBar property on the Lyric object


FontToolBar Properties
Properties

Edge	Face


FontToolBar Methods
Methods

RecallPalette	SavePalette	UpdateCombo


FontToolBar Events
Events


FontToolBar Edge
Edge property

Applies to

FontToolBar

Declaration

property object.Edge

Description

Remarks


FontToolBar Face
Face property

Applies to

FontToolBar

Declaration

property object.Face

Description

Remarks


FontToolBar RecallPalette
RecallPalette method

Applies to

FontToolBar

Declaration

sub object.RecallPalette

Description

Remarks


FontToolBar SavePalette
SavePalette sub

Applies to

FontToolBar

Declaration

sub object.SavePalette

Description

Remarks


FontToolBar UpdateCombo
UpdateCombo sub

Applies to

FontToolBar

Declaration

sub object.UpdateCombo

Description

Updates

Remarks


Image
Image object

Properties	Methods	Events
Description

 Object used to generate images from Lyric elements

Remarks


Image Properties
Properties


Image Methods
Methods

Dimensions	GetImageData	Size
Effect	JPEGTest	ToRGB
ElementFieldData	Load	VariantTest
ElementImageData	OpenSharedMemory	WriteToSharedMemory
FromDIB	Save
FromRGBA	SetImageData


Image Events
Events


Image Dimensions
Dimensions method

Applies to

Image

Declaration

function object.Dimensions(Width, Height)

Description

Gets the width in pixels, and the height in lines of the associated image object

Parameter	Description
Width	pointer to an I4 variant that will be loaded with the image width in pixels.
Height	pointer to an I4 variant that will be loaded with the image height in lines.
Returns

BOOL : True if successful, False otherwise

Remarks


Image Effect
Effect function

Applies to

Image

Declaration

function object.Effect

Description

Remarks


Image ElementFieldData
ElementFieldData function

Applies to

Image

Declaration

function object.ElementFieldData(data, Field, frame)

Description

Gets RGBA buffer for either a full frame, field 1, or field 2.

Parameter	Description
data	Pointer to Variant that gets loaded with pixel data
Field	integer that specifies field to get (0 = full Frame, 1 = field 1, 2 = field 2)
frame	BOOL used in conjunction with getting field 1 or field 2. If True a full frame is returned with the field data interleaved. If False only a field's worth of data is returned.
Returns

None

Remarks


Image ElementImageData
ElementImageData function

Applies to

Image

Declaration

function object.ElementImageData(data, Format)

Description

Gets the pixel data for the associated element

Parameter	Description
data	byte array of image data
Format	character string which can be any combination or order of R = red, G = green, B = blue, A = alpha, C = cyan, Y = yellow, M = magenta, and K = black. The ordering reflects the order of the pixels in the supplied pixel array.
Returns

None

Remarks


Image FromDIB
FromDIB function

Applies to

Image

Declaration

function object.FromDIB(BitmapInfo)

Description

Associates this image with a Windows DIB retrieved from a BITMAPINFO structure

Parameter	Description
BitmapInfo	Pointer to Variant that contains a BITMAPINFO structure
Returns

BOOL : True if successful, false otherwise

Remarks


Image FromRGBA
FromRGBA function

Applies to

Image

Declaration

function object.FromRGBA(data, Width, Height, Format)

Description

Associates this image proxy with a pixel buffer, default format for buffer is 32 bits per pixel

Parameter	Description
data	Byte array of pixel data
Width	Width of image in pixels.
Height	Height of image in lines.
Format	Optional BSTR variant that specified the format of the pixel data (i.e. RGBA, BGRA, BGR etc).
Returns

BOOL : True if successful, False otherwise

Remarks

If an optional format string is provided the buffer allocated for the image data is the length of the format string multiplied by the width parameter multiplied by the height parameter.


Image GetImageData
GetImageData function

Applies to

Image

Declaration

function object.GetImageData(data, Width, Height)

Description

Gets the pixel data for an image associated with a scene element or primitive.

Parameter	Description
data	Pointer to Array variant that will contain either a safe array of data or a by ref byte array if the variant is of type I4 and contains the value 1234 decimal.
Width	Pointer to an I4 variant that will get loaded with the width of the image in pixels.
Height	Pointer to an I4 variant that will get loaded with the height of the image in lines.
Returns

None

Remarks


Image JPEGTest
JPEGTest function

Applies to

Image

Declaration

function object.JPEGTest

Description

Remarks


Image Load
Load function

Applies to

Image

Declaration

function object.Load(FileName, LoadOptions, PixelFormat)

Description

Loads image data from a local filesystem and returns an RGBA byte array by reference

Parameter	Description
FileName	Path and filename on local filesystem of file to load
LoadOptions	Options for load and conversion to RGBA (quality=1-100, scale="widthXHeight", format="JPG|GIF|TGA|BMP|PNG")
PixelFormat	Optional argument specifies "RGBA", "RGB", "BGR", "AGB" etc...
Returns

ImageData : Array of byte data (BYREF) that must be deleted by caller.

Remarks


Image OpenSharedMemory
OpenSharedMemory function

Applies to

Image

Declaration

function object.OpenSharedMemory(MemName)

Description

Opens a shared memory file to store image data in

Parameter	Description
MemName	Name of shared memory
Returns

Open status - TRUE for success, FALSE for failure

Remarks


Image Save
Save function

Applies to

Image

Declaration

function object.Save(FileName, SaveOptions)

Description

Saves image data to a local filesystem

Parameter	Description
FileName	Path and filename on local filesystem (i.e. c:\program files\chyron\lyric\images\image1.jpg)
SaveOptions	Options for save (quality=1-100, scale="widthXHeight", format="JPG|GIF|TGA|BMP|PNG")
Returns

BOOL   : TRUE on success, FALSE on failure

Remarks


Image SetImageData
SetImageData function

Applies to

Image

Declaration

function object.SetImageData(data)

Description

Sets the pixel data for an image associated with a scene element or primitive

Parameter	Description
data	Pointer to a variant that is either a byref I4 that points to an array of RGBA values, or a safe array containing RGBA data.
Returns

None

Remarks


Image Size
Size function

Applies to

Image

Declaration

function object.Size(FileName, ImageWidth, ImageHeight)

Description

Retrieves information on size of a loaded image

Parameter	Description
FileName	Path and filename on local filesystem of file to load
ImageWidth	Pointer to I4 variant that receives the width of image in pixels
ImageHeight	Pointer to I4 variant that receives the height of image in lines
Returns

None

Remarks


Image ToRGB
ToRGB function

Applies to

Image

Declaration

function object.ToRGB(data, buffer, Width, Height, Width, Height, Color)

Description

Takes an imput buffer that is image formatted data (i.e. a jpg, bmp, tga, etc...) and converts it into a  BGR buffer. Optionally fits while retaining aspect ratio, the BGR buffer in the center of a colored background.

Parameter	Description
data	Byte array of image formatted data.
buffer	Pointer to array that gets loaded with converted BGR data.
Width	Pointer to variant that gets loaded with the width of the converted BGR formatted data.
Height	Pointer to variant that gets loaded with the height of the converted BGR formatted data.
Width	Optional I4 variant that specifies the width of the background that the BGR buffer will be scaled to.
Height	Optional I4 variant parameter of type I4 that specifies the height of the background that the BGR buffer will be scaled to.
Color	Optional I4 variant that specifies the color of background that the BGR buffer will be written over. Bits 0-7 specify the red component, bits 8-15 the green, and bits 16-23 the blue. Bits 24-31 are not used.
Returns

BOOL : True if successful, False otherwise

Remarks


Image VariantTest
VariantTest function

Applies to

Image

Declaration

function object.VariantTest

Description

Remarks


Image WriteToSharedMemory
WriteToSharedMemory function

Applies to

Image

Declaration

function object.WriteToSharedMemory

Description

Writes RGBA image information to a shared memory block

Returns

Write status - TRUE for success, FALSE for failure

Remarks


KeyFrameEntry
KeyFrameEntry object

Properties	Methods	Events
Description

Provides access to key frame information

Remarks


KeyFrameEntry Properties
Properties

Attribute	Interpolation
Frame	Value


KeyFrameEntry Methods
Methods


KeyFrameEntry Events
Events


KeyFrameEntry Attribute
Attribute property

Applies to

KeyFrameEntry

Declaration

property object.Attribute

Description

Key frames attribute

Returns

Attribute

Remarks

Attribute values are as follows:
 0 = XPosition
 1 = YPosition
 2 = ZPosition
 3 = XRotation
 4 = YRotation
 5 = ZRotation
 6 = XScale
 7 = YScale
 8 = ZScale
 9 = XCenter
10 = YCenter
11 = ZCenter
12 = RGBADiffuse
13 = Focus
14 = Shine
15 = LoopEnabled
16 = Transp
17 = EffectPct
18 = Unused
19 = LoopFrames
20 = LoopIterations
21 = PauseEnabled
22 = PauseType
23 = PauseTimeout
24 = ITVEventType


KeyFrameEntry Frame
Frame property

Applies to

KeyFrameEntry

Declaration

property object.Frame

Description

Where on the timeline the keyframe is located

Returns

Frame

Remarks


KeyFrameEntry Interpolation
Interpolation property

Applies to

KeyFrameEntry

Declaration

property object.Interpolation

Description

Key frames interpolation mode

Returns

Interpolation mode

Remarks

-1 = No Change
 0 = Linear
 1 = Spline
 2 = Jump
 3 = Ease In
 4 = Ease Out
 5 = Ease In Out
 6 = Ease Out In


KeyFrameEntry Value
Value property

Applies to

KeyFrameEntry

Declaration

property object.Value

Description

Value of this keys attribute

Returns

Attribute value

Remarks


KeyFrames
KeyFrames object

Properties	Methods	Events
Description

Allows access to the keyframes of an object in the scene

Remarks


KeyFrames Properties
Properties

Count


KeyFrames Methods
Methods

Add	DeleteTrack	SuppressUpdates
Delete	KeyFrame


KeyFrames Events
Events


KeyFrames Count
Count property

Applies to

KeyFrames

Declaration

property object.Count

Description

Gets the number of Key Frames that are set for an element

Returns

KeyFrameCount

Remarks


KeyFrames Add
Add method

Applies to

KeyFrames

Declaration

function object.Add(Frame, Attribute, Double, Interpolation)

Description

Adds a key frame to the elements collection

Parameter	Description
Frame	Where on the timeline the key is to be added
Attribute	What the added key represents
Double	The setting for the attribute of key to be added
Interpolation	Method indicating how the attribute values should be calculated between key frames
Returns

True if keyframe is added, false otherwise

Remarks

Attribute values are as follows:  0 = XPosition  1 = YPosition  2 = ZPosition  3 = XRotation  4 = YRotation  5 = ZRotation  6 = XScale  7 = YScale  8 = ZScale   9 = XCenter 10 = YCenter     11 = ZCenter 12 = RGBADiffuse 13 = Focus 14 = Shine 15 = LoopEnabled 16 = Transp 17 = EffectPct 18 = Unused  19 = LoopFrames 20 = LoopIterations 21 = PauseEnabled 22 = PauseType 23 = PauseTimeout 24 = ITVEventType -1 = No Change, use interpolation set for existing keyframes  0 = Linear, constant rate of change between keyframes  1 = Spline, non-uniform  2 = Jump, no interpolation between keyframes  3 = Ease In  4 = Ease Out  5 = Ease In/Out  6 = Ease Out/In  See the Timeline topic in Lyric's Online Help for further information


KeyFrames Delete
Delete function

Applies to

KeyFrames

Declaration

function object.Delete(KeyFrameIndex)

Description

Deletes a keyframe of an element

Parameter	Description
KeyFrameIndex	Variant, either zero based index of key frame to delete, or empty to delete all.
Remarks


KeyFrames DeleteTrack
DeleteTrack function

Applies to

KeyFrames

Declaration

function object.DeleteTrack(Attribute)

Description

Deletes all the key frames for a specific attribute of an element

Parameter	Description
Attribute	Attribute values to be deleted
Returns

True (1) if track has been deleted, False (0) otherwise.

Remarks

Attribute values are as follows:  0 = XPosition  1 = YPosition  2 = ZPosition  3 = XRotation  4 = YRotation  5 = ZRotation  6 = XScale  7 = YScale  8 = ZScale   9 = XCenter 10 = YCenter     11 = ZCenter 12 = RGBADiffuse 13 = Focus 14 = Shine 15 = LoopEnabled 16 = Transp 17 = EffectPct 18 = Unused  19 = LoopFrames 20 = LoopIterations 21 = PauseEnabled 22 = PauseType 23 = PauseTimeout 24 = ITVEventType


KeyFrames KeyFrame
KeyFrame function

Applies to

KeyFrames

Declaration

function object.KeyFrame(KeyFrameIndex)

Description

Gets a keyframe of an element by index

Parameter	Description
KeyFrameIndex	Zero-based index of key frame to get; must be less than the value returned by "Count"
Returns

Lyric Key Frame Object

Remarks


KeyFrames SuppressUpdates
SuppressUpdates function

Applies to

KeyFrames

Declaration

function object.SuppressUpdates(Value)

Description

Suppresses the refreshing of the node's key frame data

Parameter	Description
Value	set to true to suppress, false to release update suppression
Remarks


LicenseObject
LicenseObject object

Properties	Methods	Events
Description

Object to verify features and add license codes to the Lyric license manager

Remarks


LicenseObject Properties
Properties


LicenseObject Methods
Methods

AddLicense	HasFeature


LicenseObject Events
Events


LicenseObject AddLicense
AddLicense method

Applies to

LicenseObject

Declaration

sub object.AddLicense(LicenseKey)

Description

Adds a license key to the Lyric license managers table of keys

Parameter	Description
LicenseKey	License key to be added
Remarks


LicenseObject HasFeature
HasFeature sub

Applies to

LicenseObject

Declaration

sub object.HasFeature(FeatureString)

Description

Determines if any of the license keys registered with the Lyric license manager support a requested feature

Parameter	Description
FeatureString	Feature to check for
Returns

BOOL   : TRUE if the feature is supported, FALSE if it is not

Remarks


LyricObject
LyricObject object

Properties	Methods	Events
Description

Top level Lyric interface. Provides access to Canvas, Browsers, Images, Plugins, License Manager, and Custom Properties.

Remarks


LyricObject Properties
Properties

ActiveCanvas	FontNames	NamespaceCount
ActiveFrameBuffer	FrameBuffers	Palettes
AdvancedMode	FrameRate	PlayListPlaying
AdvancedModeSave	License	SetPropertyManager
Browsers	LicenseMask	StartUpStatus
ClientHWND	Message	Status
FontBar	MessageGUID


LyricObject Methods
Methods

ActivateFrame	HasSerialized	RegisterObjectEventHandler
AltRecord	Image	RegisterObjectProperty
BasicModeSize	MDIFrame	RegisterObjectPropertyEditor
CloseWindow	MDIFrameControl	RunAdvancedMode
ColorKey	MessageType	SaveAs
CreateCustomPlaylist	Namespace	SaveSerialized
CreatePlaylist	Open	SetCGPlugin
CustomProperties	OpenPlaylist	SetMessageData
DrawList	Plugins	SetRegistry
FontKey	Read	ShowInBrowser
FrameBufferPlaying	ReadInfinit	TransferView
FrameBufferPlayingHw	ReadNext	UnregisterAll
FrameBufferScene	ReadPrev	Version
GL	Record	Wait
GetMessageData	RegisterLEIFlet	WaitForNextFrame
GetRegistry	RegisterMenuItem	WriteMessageData
GetSerialized	RegisterObject


LyricObject Events
Events


LyricObject ActiveCanvas
ActiveCanvas property

Applies to

LyricObject

Declaration

property object.ActiveCanvas

Description

Gets the view that is currently being used to render Lyric objects

Returns

Canvas, {ActiveCanvas} Object

Remarks


LyricObject ActiveFrameBuffer
ActiveFrameBuffer property

Applies to

LyricObject

Declaration

property object.ActiveFrameBuffer

Description

Gets the active frame buffer number.

Returns

FrameBuffer - Integer. Current active frame buffer.

Remarks


LyricObject AdvancedMode
AdvancedMode property

Applies to

LyricObject

Declaration

property object.AdvancedMode

Description

Remarks


LyricObject AdvancedModeSave
AdvancedModeSave property

Applies to

LyricObject

Declaration

property object.AdvancedModeSave

Description

Remarks


LyricObject Browsers
Browsers property

Applies to

LyricObject

Declaration

property object.Browsers

Description

Provides access to the Lyric Browser Interface

Returns

Lyric Browser Object

Remarks


LyricObject ClientHWND
ClientHWND property

Applies to

LyricObject

Declaration

property object.ClientHWND

Description

Remarks


LyricObject FontBar
FontBar property

Applies to

LyricObject

Declaration

property object.FontBar

Description

Gets the font toolbar

Returns

FontToolBar, {FontToolBar} Object

Remarks


LyricObject FontNames
FontNames property

Applies to

LyricObject

Declaration

property object.FontNames

Description

Gets the names of all the loaded fonts

Returns

FontNames, String. Comma separated list of font names.

Remarks


LyricObject FrameBuffers
FrameBuffers property

Applies to

LyricObject

Declaration

property object.FrameBuffers

Description

Gets the number of frame buffers

Returns

FrameBuffers - Integer. Number of frame buffers.

Remarks


LyricObject FrameRate
FrameRate property

Applies to

LyricObject

Declaration

property object.FrameRate

Description

Remarks


LyricObject License
License property

Applies to

LyricObject

Declaration

property object.License

Description

Provides access to the Lyric License Control Object

Returns

Lyric License Control Object

Remarks


LyricObject LicenseMask
LicenseMask property

Applies to

LyricObject

Declaration

property object.LicenseMask

Description

Remarks


LyricObject Message
Message property

Applies to

LyricObject

Declaration

property object.Message(MessageNumber)

Description

Gets/Sets the Lyric Message Number

Parameter	Description
MessageNumber	The value to set the current message number to
Returns

The current lyric message number

Remarks


LyricObject MessageGUID
MessageGUID property

Applies to

LyricObject

Declaration

property object.MessageGUID

Description

Remarks


LyricObject NamespaceCount
NamespaceCount property

Applies to

LyricObject

Declaration

property object.NamespaceCount

Description

Gets the number of registered namespaces

Returns

NamespaceCount - Integer. Number of registered namespaces.

Remarks


LyricObject Palettes
Palettes property

Applies to

LyricObject

Declaration

property object.Palettes

Description

Gets the color palettes

Returns

Palettes, {ColorGradient} Object.

Remarks


LyricObject PlayListPlaying
PlayListPlaying property

Applies to

LyricObject

Declaration

property object.PlayListPlaying

Description

Flag that is used to indicate that the play list is playing.

Returns

Playing, Bool. Set to True if the play list is playing

Remarks


LyricObject SetPropertyManager
SetPropertyManager property

Applies to

LyricObject

Declaration

property object.SetPropertyManager(FrameBufferIndex)

Description

Sets the property manager to use the custom properties for a specific frame buffer.

Parameter	Description
FrameBufferIndex	Integer. Range is 0 to {LyricObject.FrameBuffers} - 1.
Remarks


LyricObject StartUpStatus
StartUpStatus property

Applies to

LyricObject

Declaration

property object.StartUpStatus

Description

Remarks


LyricObject Status
Status property

Applies to

LyricObject

Declaration

property object.Status(StatusBarText)

Description

Sets the Lyric Status Bar text

Parameter	Description
StatusBarText	Text to be displayed in the status bar
Returns

None

Remarks


LyricObject ActivateFrame
ActivateFrame method

Applies to

LyricObject

Declaration

function object.ActivateFrame(Caption)

Description

Activates a pre-existing built-in window frame

Parameter	Description
Caption	String. Caption of window, or pre-defined name as listed in remarks
Returns

Failure Code  - 0 = Success, -1 = Failure

Remarks

"Canvas"
"Key Frame"
"Time Line"
"Scene Graph"
"Property Sheet"
"Template Update"
"SD Mixer"
 "Clip File"
"MultiFX Control"
"Macros"
 "Template Properties"
  "2D Object Properties"


LyricObject AltRecord
AltRecord function

Applies to

LyricObject

Declaration

function object.AltRecord

Description

Re-saves the currently loaded message

Returns

None

Remarks


LyricObject BasicModeSize
BasicModeSize function

Applies to

LyricObject

Declaration

function object.BasicModeSize

Description

Remarks


LyricObject CloseWindow
CloseWindow function

Applies to

LyricObject

Declaration

function object.CloseWindow(Caption)

Description

Closes a window with the specified caption.

Parameter	Description
Caption	String. Window to close
Remarks


LyricObject ColorKey
ColorKey function

Applies to

LyricObject

Declaration

function object.ColorKey(specifier)

Description

Selects colors from the palette for 2D character's face and edge or 3D character's face and sides

Parameter	Description
specifier	To select palette colors 1-9 set the key specifier to "Ctrl " followed by a 1 - 9. To select palette colors 10-17 set the key specifier "Ctrl+Shift " followed by a 0 - 7.
Returns

None

Remarks


LyricObject CreateCustomPlaylist
CreateCustomPlaylist function

Applies to

LyricObject

Declaration

function object.CreateCustomPlaylist(Name, String, Variant)

Description

Creates a custom playlist

Parameter	Description
Name	String. Playlist name
String	String formatted as comma separated commands "H:<Hide standard column>" "S:<ColumnName>,<Width in pixels>" "C:<column name>"
Variant	Variant
Returns

NewPlayList, {PlayList} Object.

Remarks

A Control String of "H:Speed,S:Control,50,C:Custom" would hide the Speed column, size the control column to 50 and add a custom column titled Custom


LyricObject CreatePlaylist
CreatePlaylist function

Applies to

LyricObject

Declaration

function object.CreatePlaylist

Description

Creates a blank playlist

Returns

NewPlayList, {PlayList} Object.

Remarks


LyricObject CustomProperties
CustomProperties function

Applies to

LyricObject

Declaration

function object.CustomProperties(PropertyType)

Description

Provides access to registered properties for a specified Lyric object class

Parameter	Description
PropertyType	Lyric Object Class
Returns

Property Object

Remarks


LyricObject DrawList
DrawList function

Applies to

LyricObject

Declaration

function object.DrawList(CommandBuffer)

Description

Adds vectors and/or shapes to the Lyric Foreground draw list

Parameter	Description
CommandBuffer	Draw command buffer - commands in the buffer follow the following format     <command byte><data>     Valid commands are :       Square - command byte = 1,            data = <4 Bytes Center X><4 Bytes Center Y><4 Bytes Width><4 Bytes Color (RGBA)>      Line   - command byte = 2,         data = <4 Bytes Left><4 Bytes Top><4 Bytes Right><4 Bytes Bottom><4 Bytes Color (RGBA)>
Remarks


LyricObject FontKey
FontKey function

Applies to

LyricObject

Declaration

function object.FontKey(String)

Description

Selects via hot-key string a font from the last-activated Lyric Browser

Parameter	Description
String	Hot key to search for in the last-activated Lyric Browser
Returns

None

Remarks

For Font Keys 1-8, precede the key number with "Alt +"
For Font Keys 9-16, precede the key number with "Alt + Shift +"
 e.g. Lyric.FontKey "Alt + 1"
   Lyric.FontKey "Alt + Shift + 1"


LyricObject FrameBufferPlaying
FrameBufferPlaying function

Applies to

LyricObject

Declaration

function object.FrameBufferPlaying(FrameBufferIndex)

Description

Flag that is used to indicate that a frame buffer has an animation playing on it.

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

Playing, Bool. Set to True if an animation is playing on a specified frame buffer

Remarks


LyricObject FrameBufferPlayingHw
FrameBufferPlayingHw function

Applies to

LyricObject

Declaration

function object.FrameBufferPlayingHw(FrameBufferIndex)

Description

Flag that is used to indicate that a frame buffer is playing an animation to output.

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

Playing, Bool. Set to True if an animation is playing on a specified frame buffer

Remarks


LyricObject FrameBufferScene
FrameBufferScene function

Applies to

LyricObject

Declaration

function object.FrameBufferScene(FrameBufferIndex)

Description

Gets the {Scene} Object associated with a frame buffer.

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

FrameBufferScene, {Scene} Object.

Remarks


LyricObject GL
GL function

Applies to

LyricObject

Declaration

function object.GL

Description

Remarks


LyricObject GetMessageData
GetMessageData function

Applies to

LyricObject

Declaration

function object.GetMessageData

Description

Remarks


LyricObject GetRegistry
GetRegistry function

Applies to

LyricObject

Declaration

function object.GetRegistry(Key, ValueName, DefaultValue)

Description

Reads from the Registry

Parameter	Description
Key	String. Registry Key. The exact registry location for the value will be HKEY_CURRENT_USERKEY> where <KEY> is the contents of the Key string
ValueName	String. Name of Value to be retrieved.
DefaultValue	Variant. Either BSTR, I2 or I4. Contains default value that will be returned if the registry key does not exist.
Returns

RegistryData, Variant. Type is BSTR if DefaultValue is BSTR, Type is I4 if DefaultValue type is Integer (I2 or I4).

Remarks


LyricObject GetSerialized
GetSerialized function

Applies to

LyricObject

Declaration

function object.GetSerialized(FileName, GUID, DataToSave, Variant)

Description

Gets LEIFlet specific data from the end of a file.

Parameter	Description
FileName	String. Name of the file that the LEIFlet serialized data gets read from.
GUID	String. GUID that uniquely identifies the serialized data that is being read. The format is {152AB1C2-1D2A-4B3C-9F12-4CA1A6554322}. Note: braces are required.
DataToSave	Pointer to Array. Array that gets loaded with the retrieved data.
Variant	Optional. If Variant type is string, this parameter becomes the key used to decrypt the serialized data. If the Variant type is BOOL and it is True,  the data is encypted using the LEIFlet SDK vendor specific key. If not supplied  or variant type is BOOL and set to False then no decryption will be attempted.
Returns

Status, Bool. True if get is successful.

Remarks


LyricObject HasSerialized
HasSerialized function

Applies to

LyricObject

Declaration

function object.HasSerialized(FileName, GUID)

Description

Determines if a file has LEIFlet serialized data

Parameter	Description
FileName	String. Name of the file to check.
GUID	String. GUID that uniquely identifies the serialized data.  The format is {152AB1C2-1D2A-4B3C-9F12-4CA1A6554322}, Note: braces are required.
Returns

DataSize - Integer. Returns the size of the serialized data if found. Returns a -1 if not found.

Remarks


LyricObject Image
Image function

Applies to

LyricObject

Declaration

function object.Image

Description

Generates a generic Image Object

Returns

Lyric Image Object

Remarks


LyricObject MDIFrame
MDIFrame function

Applies to

LyricObject

Declaration

function object.MDIFrame(Caption, XPos, YPos, Width, Height, MaxWidth, MaxHeight, MinWidth, MinHeight, ControlProgID)

Description

Creates/activates a LEIFlet MDI child frame that contains a LEIFlet based control.

Parameter	Description
Caption	String. Title to be displayed in the caption bar of the frame
XPos	Integer. X coordinate of the initial position of the frame, relative to  the upper left of the MDI client area the upper left of the MDI client area
YPos	Integer. Y coordinate of the initial position of the frame, relative to
Width	Integer. Initial width of the child frame in pixels.
Height	Integer. Initial height of the child frame in pixels
MaxWidth	Integer. Maximum width to which the child window can be sized
MaxHeight	Integer. Maximum height to which the child window can be sized
MinWidth	Integer. Minimum width to which the child window can be sized
MinHeight	Integer. Minimum height to which the child window can be sized
ControlProgID	String. ProgID of the control that is contained within the view of the MDI frame (i.e. Chyron.LEIFlet.TestLEIFlet.Control.1)
Returns

HWnd - Integer. Handle to the window of the created child frame.

Remarks

If the caption of an existing MDI child frame is identical to that given, a new frame is not created. Instead, the existing frame will be activated and its handle will be returned

The LEIFlet control may optionally implement the "SetLyric" method which will be called by Lyric upon successful instantiation of the control:
  Public Sub SetLyric(ByVal Lyric, ByRef Succeeded As Boolean)


LyricObject MDIFrameControl
MDIFrameControl function

Applies to

LyricObject

Declaration

function object.MDIFrameControl(Hwnd)

Description

Returns the control object contained in the MDI frame

Parameter	Description
Hwnd	Integer. Handle to the MDI frame window (returned by MDIFrame)
Returns

Control Window Object

Remarks


LyricObject MessageType
MessageType function

Applies to

LyricObject

Declaration

function object.MessageType(Message)

Description

Gets the type of message for a message number

Parameter	Description
Message	Integer. Number of message
Returns

Lyric Message Type as dictated in Remarks

Remarks

Type = -1 Message could not be found or type cannot be determined
Type =  0 Lyric Static Page or Animation
Type =  1 Clock/Timer message
Type =  2 Mix message
Type =  3 Macro message
Type =  4 Template Data Message ('W' file)
Type =  5 Popon file
Type =  6 MultiFX message
Type =  7 Video I/O settings
Type =  8 Lyric LE Effects message


LyricObject Namespace
Namespace function

Applies to

LyricObject

Declaration

function object.Namespace(NamespaceIndex)

Description

Gets a registered namespace

Parameter	Description
NamespaceIndex	Integer. Zero based namespace index. Range 0 to {LyricObject.NamespaceCount} - 1.
Returns

Namespace, {MasterCustomProperties} Object.

Remarks


LyricObject Open
Open function

Applies to

LyricObject

Declaration

function object.Open(FileName, Unused)

Description

Open and read a file

Parameter	Description
FileName	Path and file (i.e. c:\program files\chyron\lyric\messages\00000000.lyr)
Unused	Unused parameter
Returns

None

Remarks

The following file types are supported
(1) Lyric Playlists     (*.ply)
(2) Lyric Message Files (*.lyr) (includes mix messages and macros)
(3) Clip Control Files  (*.ccf)
(4) HTML Files     (*.htm, *.html)
(5) Macro Files     (*.lmx)
(6) Lyric User Profiles (*.reg, *.lup)
(7) Safe Title Settings (*.saf)


LyricObject OpenPlaylist
OpenPlaylist function

Applies to

LyricObject

Declaration

function object.OpenPlaylist(PlaylistFile)

Description

Opens a playlist file.

Parameter	Description
PlaylistFile	String. Playlist path and file name. (i.e. c:\chyron\lyric\playlists\playlist1.ply)
Returns

PlayList, {PlayList} Object.

Remarks


LyricObject Plugins
Plugins function

Applies to

LyricObject

Declaration

function object.Plugins

Description

Provides access to the Lyric Plugin Control Object

Returns

Lyric Plugin Control Object

Remarks


LyricObject Read
Read function

Applies to

LyricObject

Declaration

function object.Read

Description

Opens from the Lyric Message directory a lyric message whose filename is equal to current message number

Returns

None

Remarks


LyricObject ReadInfinit
ReadInfinit function

Applies to

LyricObject

Declaration

function object.ReadInfinit(MessageName, FontDir)

Description

Reads an iNFiNiT! message.

Parameter	Description
MessageName	String. iNFiNiT! path and file name.
FontDir	VARIANT type BSTR. Optional font directory
Returns

Status, always TRUE

Remarks

Unless provided Font directory is assumed to be in the folder ..\MACHINE that is relative to the message,


LyricObject ReadNext
ReadNext function

Applies to

LyricObject

Declaration

function object.ReadNext

Description

Opens from the Lyric Message directory a lyric message whose filename is equal to  current message number or within a given range after it

Returns

None

Remarks


LyricObject ReadPrev
ReadPrev function

Applies to

LyricObject

Declaration

function object.ReadPrev

Description

Opens from the Lyric Message directory a lyric message whose filename is equal to  current message number or within a given range before it

Returns

None

Remarks


LyricObject Record
Record function

Applies to

LyricObject

Declaration

function object.Record

Description

Saves the current scene in the canvas to the Lyric Message Directory with its filename set to the current message number

Returns

None

Remarks


LyricObject RegisterLEIFlet
RegisterLEIFlet function

Applies to

LyricObject

Declaration

function object.RegisterLEIFlet(Key, VendorID, Title)

Description

Registers a LEIFlet.

Parameter	Description
Key	String. Vendor license key, provided with LEIF SDK.
VendorID	String. Vendor ID, provided with LEIF SDK.
Title	String. Name of LEIFlet as it is to appear in the About Box.
Remarks

After receiving a {LyricObject} all plugins must call this function in order to gain access to any other {LyricObject} functions/properties.


LyricObject RegisterMenuItem
RegisterMenuItem function

Applies to

LyricObject

Declaration

function object.RegisterMenuItem(MenuText, Context, ExecuteMethod)

Description

Inserts a menu item into the main menu and specifies a method to call when it is selected

Parameter	Description
MenuText	Menu item text that appears in the Lyric menu
Context	Pipe separated name of where to insert the menu item
ExecuteMethod	The name of the script subroutine or plugin method to call when this item is selected
Returns

Failure Code  - 0 = Success, -1 = Failure

Remarks


LyricObject RegisterObject
RegisterObject function

Applies to

LyricObject

Declaration

function object.RegisterObject(Name)

Description

Registers a new object type

Parameter	Description
Name	Name of object
Returns

Failure Code  - 0 = Success, -1 = Failure

Remarks


LyricObject RegisterObjectEventHandler
RegisterObjectEventHandler function

Applies to

LyricObject

Declaration

function object.RegisterObjectEventHandler(Object, Event, Method)

Description

Registers a handler for a custom object type

Parameter	Description
Object	String. Name of object
Event	Integer. Event to handle
Method	String. Plugin Method or Script Subroutine to handle event
Returns

Failure code  - 0 = Success, -1 = Failure

Remarks


LyricObject RegisterObjectProperty
RegisterObjectProperty function

Applies to

LyricObject

Declaration

function object.RegisterObjectProperty(Namespace, Name, Type, Default, Objects, Specifics)

Description

Registers a custom property to a name space of a specified group of Lyric objects

Parameter	Description
Namespace	Group to which the registered property will be associated with
Name	Name of the property
Type	0 = String, 1 = Int, 2 = Real, 3 = Combo, 4 = Edit, 5 = Parsed
Default	Default value that the property will be initialized to
Objects	Safe Array of Lyric objects this property is to be associated with
Specifics	For Combo type, specify a bar-separated list of entries;             For Parsed type, specify the Property to be parsed.
Returns

Failure code - 0 = Success, -1 = Failure

Remarks


LyricObject RegisterObjectPropertyEditor
RegisterObjectPropertyEditor function

Applies to

LyricObject

Declaration

function object.RegisterObjectPropertyEditor(Namespace, ProgID, Objects)

Description

Registers an editor to be used for a given property namespace.

Parameter	Description
Namespace	Registered properties in this namespace will use this editor
ProgID	ProgID of the editor control
Objects	Array of lyric objects that will use this editor
Returns

Failure code - 0 = Success, -1 = Failure

Remarks


LyricObject RunAdvancedMode
RunAdvancedMode function

Applies to

LyricObject

Declaration

function object.RunAdvancedMode

Description

Remarks


LyricObject SaveAs
SaveAs function

Applies to

LyricObject

Declaration

function object.SaveAs(FileName)

Description

Creates a Lyric Message from the canvas and saves it to a specified file

Parameter	Description
FileName	Path and file name of message to be saved (i.e. c:\lyric\messages\msg1.lyr)
Returns

None

Remarks


LyricObject SaveSerialized
SaveSerialized function

Applies to

LyricObject

Declaration

function object.SaveSerialized(FileName, GUID, DataToSave, Key)

Description

Saves LEIFlet specific data to the end of a file

Parameter	Description
FileName	String. Name of the file that the LEIFlet serialized data gets appended to.
GUID	String. GUID to uniquely identify the serialized data. Format is {152AB1C2-1D2A-4B3C-9F12-4CA1A6554322}, note braces are required.
DataToSave	Array.
Key	Variant. Optional. If Variant type is string, this parameter becomes the key used to encrypt the serialized data. If the Variant type is BOOL and it is True,  the data is encypted using the LEIFlet SDK vendor specific key. If not supplied  or variant type is BOOL and set to False, then no encryption will be performed.
Returns

Status, Bool. True if save is successful.

Remarks


LyricObject SetCGPlugin
SetCGPlugin function

Applies to

LyricObject

Declaration

function object.SetCGPlugin

Description

Remarks


LyricObject SetMessageData
SetMessageData function

Applies to

LyricObject

Declaration

function object.SetMessageData

Description

Remarks


LyricObject SetRegistry
SetRegistry function

Applies to

LyricObject

Declaration

function object.SetRegistry(Key, ValueName, Value)

Description

Writes to the Registry

Parameter	Description
Key	String. Registry Key. The exact registry location for the value will be HKEY_CURRENT_USERKEY> where <KEY> is the contents of the Key string
ValueName	String. Name of value to write.
Value	Variant. Either BSTR or I4. Contains value that will be written to the registry
Remarks


LyricObject ShowInBrowser
ShowInBrowser function

Applies to

LyricObject

Declaration

function object.ShowInBrowser(URL)

Description

Navigates to a specified URL and displays the page in a browser frame

Parameter	Description
URL	Valid URL (i.e. www.chyron.com, c:\htmlDocs\test.html, etc...)
Returns

None

Remarks


LyricObject TransferView
TransferView function

Applies to

LyricObject

Declaration

function object.TransferView(FrameBufferIndex)

Description

Transfers a frame buffer to hardware

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Remarks

Use this method to transfer an inactive frame buffer to its output device.


LyricObject UnregisterAll
UnregisterAll function

Applies to

LyricObject

Declaration

function object.UnregisterAll

Description

Removes all registered namespaces and editor

Returns

None

Remarks


LyricObject Version
Version function

Applies to

LyricObject

Declaration

function object.Version

Description

Get information on this version of Lyric

Returns

Version, {LyricVersion} Object.

Remarks


LyricObject Wait
Wait function

Applies to

LyricObject

Declaration

function object.Wait(FrameDelay)

Description

Pauses Lyric for a specified number of frames

Parameter	Description
FrameDelay	Number of frames to wait
Returns

None

Remarks

Use a FrameDelay of 0 to allow dialogs to open, etc.


LyricObject WaitForNextFrame
WaitForNextFrame function

Applies to

LyricObject

Declaration

function object.WaitForNextFrame(FrameBufferIndex)

Description

Flag that is used to indicate that a frame buffer is playing an animation. The animation may be playing to either preview or output. See FrameBufferPlayingHw

Parameter	Description
FrameBufferIndex	Integer. Range 0 to {LyricObject.FrameBuffers} - 1.
Returns

Next Frame - Integer. Set to -1 if FB is not playing, or error occurred

Remarks


LyricObject WriteMessageData
WriteMessageData function

Applies to

LyricObject

Declaration

function object.WriteMessageData

Description

Remarks


LyricVersion
LyricVersion object

Properties	Methods	Events
Description

Lyric Version and build information

Remarks


LyricVersion Properties
Properties

Build	MajorVersion	MinorVersion


LyricVersion Methods
Methods


LyricVersion Events
Events


LyricVersion Build
Build property

Applies to

LyricVersion

Declaration

property object.Build

Description

Gets the build number.

Returns

BuildNumber - Integer. Gets the build number.

Remarks


LyricVersion MajorVersion
MajorVersion property

Applies to

LyricVersion

Declaration

property object.MajorVersion

Description

Gets the left side of the version number (i.e. returns a 3 for version 3.2)

Returns

MajorVersion - Integer. Left side of the version number

Remarks


LyricVersion MinorVersion
MinorVersion property

Applies to

LyricVersion

Declaration

property object.MinorVersion

Description

Gets the right side of the version number (i,e, returns a 2 for version 3.2)

Returns

MinorVersion - Integer. Right side of the version number.

Remarks


MasterCustomProperties
MasterCustomProperties object

Properties	Methods	Events
Description

Registered custom property enumeration object

Remarks

This object is used to emumerate through all the custom properties registered in a given namespace. created when {LyricObject.Namespace} is invoked.


MasterCustomProperties Properties
Properties

Name	PropertyCount


MasterCustomProperties Methods
Methods

Property


MasterCustomProperties Events
Events


MasterCustomProperties Name
Name property

Applies to

MasterCustomProperties

Declaration

property object.Name

Description

Gets the fully qualified namespace (i.e. "Chyron.LEIFlet.MetaSync.1::Export Settings")

Returns

Fully qualified namespace

Remarks


MasterCustomProperties PropertyCount
PropertyCount property

Applies to

MasterCustomProperties

Declaration

property object.PropertyCount

Description

Gets the number of custom properties registered in this namespace

Returns

Number of registered custom proerties

Remarks


MasterCustomProperties Property
Property method

Applies to

MasterCustomProperties

Declaration

function object.Property(PropertyCount)

Description

Gets the Registered Property Interface for the property registerd at a specified index

Parameter	Description
PropertyCount	1
Returns

Registered Property Object

Remarks


Node
Node object

Properties	Methods	Events
Description

Provides access to Scene Graph nodes

Remarks


Node Properties
Properties

ChildCount	Name	Type
ElementCount	OutTime	Visible
FontName	Rate	XPosition
InTime	Rect	YPosition
KeyFrames	Style


Node Methods
Methods

AddRow	GetChild	SelectedRow
AnimationState	KeyFrame	SuppressUpdates
Delete	Position
Element	Properties


Node Events
Events


Node ChildCount
ChildCount property

Applies to

Node

Declaration

property object.ChildCount

Description

Gets the number of child nodes

Returns

ChildCount - number of child nodes

Remarks


Node ElementCount
ElementCount property

Applies to

Node

Declaration

property object.ElementCount

Description

Gets the number of elements that this node contains.

Returns

ElementCount - number of elements

Remarks

ImageObject nodes contain only one element, while TextWindow objects have one element for each template and imported bitmap


Node FontName
FontName property

Applies to

Node

Declaration

property object.FontName

Description

Remarks


Node InTime
InTime property

Applies to

Node

Declaration

property object.InTime

Description

Read/Write property that determines the nodes start frame relative to the beginning of the animation

Returns

InTime - frame number

Remarks


Node KeyFrames
KeyFrames property

Applies to

Node

Declaration

property object.KeyFrames

Description

Gets the Key Frames list for this node

Returns

Lyric Key Frames Object {CKeyFramesProxy}

Remarks


Node Name
Name property

Applies to

Node

Declaration

property object.Name(NodeName)

Description

Gets/Sets the name that the scene graph uses to identify the node

Parameter	Description
NodeName	New value for the name of the node
Returns

NodeName - Name of the node

Remarks


Node OutTime
OutTime property

Applies to

Node

Declaration

property object.OutTime

Description

Read/Write property that determines the nodes end frame relative to the beginning of the animation

Returns

OutTime - frame number

Remarks


Node Rate
Rate property

Applies to

Node

Declaration

property object.Rate

Description

Gets the rate of the character effect, valid only for roll, crawl and type-on windows

Returns

Rate - roll window : scanlines/sec, crawl: pixels/sec, type-on: chars/sec.

Remarks


Node Rect
Rect property

Applies to

Node

Declaration

property object.Rect

Description

Gets the bounding rectangle of the node in screen coordinates relative to the upper left of the canvas

Returns

Lyric Rect Object {CRectProxy}

Remarks


Node Style
Style property

Applies to

Node

Declaration

property object.Style

Description

Gets the style of a node, valid only for 2D Text Windows

Returns

Style - (0-7) see remarks

Remarks

 	Not a 2D Window = -1
 	Static          =  0
  	Crawl           =  1
  	StyleRoll       =  2
  	StyleClock      =  3
  	StyleTimerUp    =  4
  	StyleTimerDown  =  5
  	StyleTypeOn     =  6
 	StyleSpline     =  7


Node Type
Type property

Applies to

Node

Declaration

property object.Type

Description

Gets the type of this node

Returns

NodeType - type of node

Remarks

Node Types are as follows:
  1 = ThreeDCharacter
  2 = WavefrontObject
  3 = ThreeDStudioObject
  4 = ImageObject
  5 = OrthographicCamera
  6 = PerspectiveCamera
  7 = GlobalLight
  8 = DirectionalLight
  9 = PositionalLight
 10 = Spotlight
 11 = TextWindow
 12 = LoopObject
 13 = PauseObject
 14 = Clip
 15 = VideoRegion
 16 = ClockTimer
 17 = AnimatedElement
 18 = Mix
 19 = Flipbook
 20 = ITVEvent
 21 = MultiFXObj
 22 = SplineWindow
 23 = SqueezeBackRegion
 24 = ThreeDTemplate
 25 = Custom
 26 = ProxyBased


Node Visible
Visible property

Applies to

Node

Declaration

property object.Visible(VisibleStatus)

Description

Gets/Sets the visible status of the node. When TRUE the node is eligible to be rendered on the canvas, when FALSE the node is hidden.

Parameter	Description
VisibleStatus	Non-zero if the node is to be made visible, 0 if it is to be hidden
Returns

VisibleStatus - Non-zero if the node is visible, 0 if it is hidden

Remarks


Node XPosition
XPosition property

Applies to

Node

Declaration

property object.XPosition

Description

Gets the X Coordinate of the node at frame 0.

Returns

XPosition - Node's x coordinate, in screen coordinates

Remarks

Screen origin is at lower-left The origin of most nodes is the center of the node.  However, the origin  of a text window is the lower left.


Node YPosition
YPosition property

Applies to

Node

Declaration

property object.YPosition

Description

Gets the Y Coordinate of the node at frame 0

Returns

YPosition - Node's y coordinate, in screen coordinates

Remarks

Screen origin is at lower-left The origin of most nodes is the center of the node.  However, the origin  of a text window is the lower left.


Node AddRow
AddRow method

Applies to

Node

Declaration

function object.AddRow

Description

Adds a row to the 2DWindow (Valid for 2DWindow nodes only)

Returns

Row Proxy {CRowElementProxy}

Remarks


Node AnimationState
AnimationState function

Applies to

Node

Declaration

function object.AnimationState(Frame, Field)

Description

Gets the animation state of the node at a particular frame

Parameter	Description
Frame	Integer.  Frame at which the animation state is desired.   The timeline of the node must be valid at that frame.
Field	Variant.  Field at which the animation state is desired
Returns

Animation State Object {CAnimationStateProxy}

Remarks


Node Delete
Delete function

Applies to

Node

Declaration

function object.Delete

Description

Deletes this node from the scene graph

Remarks


Node Element
Element function

Applies to

Node

Declaration

function object.Element(ElementIndex)

Description

Gets one of this node's elements.

Parameter	Description
ElementIndex	Zero based index of element to get.
Returns

Lyric Element Object {CElementProxy}

Remarks

Must be less than the value returned by ElementCount.
ImageObject nodes contain only one element, while TextWindow objects have one element for each template and imported bitmap.
Templates always have lower indexes than any bitmaps in the same text window


Node GetChild
GetChild function

Applies to

Node

Declaration

function object.GetChild

Description

Gets the n'th child node of this group

Returns

Lyric Node Object {CNodeProxy}

Remarks


Node KeyFrame
KeyFrame function

Applies to

Node

Declaration

function object.KeyFrame(Attribute, Frame, Value, Interpolation)

Description

Adds a key to this node's key frame list

Parameter	Description
Attribute	What the added key represents
Frame	Where on the timeline the key is to be added
Value	The setting for the attribute of key to be added
Interpolation	How the attributes should be calculated between key frames
Remarks

Attribute values are as follows:  0 = XPosition  1 = YPosition  2 = ZPosition  3 = XRotation  4 = YRotation  5 = ZRotation  6 = XScale  7 = YScale  8 = ZScale   9 = XCenter 10 = YCenter     11 = ZCenter 12 = RGBADiffuse 13 = Focus 14 = Shine 15 = LoopEnabled 16 = Transp 17 = EffectPct 18 = Unused  19 = LoopFrames 20 = LoopIterations 21 = PauseEnabled 22 = PauseType 23 = PauseTimeout 24 = ITVEventType Interpolation values are as follows: -1 = No Change  0 = Linear  1 = Spline  2 = Jump  3 = Ease In  4 = Ease Out  5 = Ease In Out  6 = Ease Out In


Node Position
Position function

Applies to

Node

Declaration

function object.Position(XPosition, YPosition)

Description

Gets the upper left based canvas coordinates of the node

Parameter	Description
XPosition	Passed by reference, set to nodes screen x position on return
YPosition	Passed by reference, set to nodes screen y position on return
Returns

Status - True if successful, False otherwise

Remarks


Node Properties
Properties function

Applies to

Node

Declaration

function object.Properties(Namespace)

Description

Gets the node's properties for the specified namespace

Parameter	Description
Namespace	Specifies which property set to retrieve
Returns

Lyric Properties Object

Remarks


Node SelectedRow
SelectedRow function

Applies to

Node

Declaration

function object.SelectedRow

Description

Gets the selected row, 0 based in scanline order, of a 2D Text Window

Returns

Row Proxy {CRowElementProxy}

Remarks


Node SuppressUpdates
SuppressUpdates function

Applies to

Node

Declaration

function object.SuppressUpdates(Value)

Description

Suppresses the refreshing of the nodes key frame data

Parameter	Description
Value	set to true to suppress, false to release update suppression
Remarks


PlayList
PlayList object

Properties	Methods	Events
Description

Provides access to a playlist control

Remarks

This interface allows access to operate and edit a playlist


PlayList Properties
Properties

Caption	Count	MessageFolder


PlayList Methods
Methods

Add	DeleteAll	Step
AddField	GetItem	Stop
AddWithParam	Play
Delete	Save


PlayList Events
Events


PlayList Caption
Caption property

Applies to

PlayList

Declaration

property object.Caption(Title)

Description

Gets/Sets the title of the playlist

Parameter	Description
Title	string to be placed in the caption of the playlist frame
Returns

Title - string containing the title contained in the caption of the playlist frame

Remarks


PlayList Count
Count property

Applies to

PlayList

Declaration

property object.Count

Description

Gets the number of non-empty lines

Returns

LineCount - integer containing the number of non-empty playlist lines

Remarks


PlayList MessageFolder
MessageFolder property

Applies to

PlayList

Declaration

property object.MessageFolder(folder)

Description

Gets/Sets the default message folder for messages that are loaded in this playlist

Parameter	Description
folder	full path name of the default folder that this playlist is to use for loading messages
Returns

Message folder - full path name of the folder that this playlist is using as its default for loading messages

Remarks


PlayList Add
Add method

Applies to

PlayList

Declaration

function object.Add(Control, Parameter, Effect, Speed, Name, Time, time, BufferNumber, Reserved, Color, Color)

Description

Add a playlist line

Parameter	Description
Control	can be one of the following: "Wait For Key", "Delay", "Loop", "Skip", "End", "Goto", "GPI".
Parameter	string value containing appropriate parameter for selected control value.
Effect	can be one of the following: "Cut", "Dissolve", "Wipe Right", "Wipe Left", "Wipe Down", "Wipe Up".
Speed	string value containing the speed of the effect
Name	string containing the number (or path and filename) of the message to load.
Time	string specifying time code that specifies the effect starting time
time	string specifying time code that specifies the effect ending time
BufferNumber	string specifying which frame buffer the effect will run on
Reserved	string reserved for future use
Color	optional variant of type I4 that specifies the font color (bits 0-7 red, bits 8-15 green, bits 16-23 blue)
Color	optional variant of type I4 that specified the font background color (bits 0-7 red, bits 8-15 green, bits 16-23 blue)
Returns

Insert Index - index in playlist where new line was added or -1 if method failed.

Remarks

See the Playlist Topic in Lyric's Online Help for further information


PlayList AddField
AddField function

Applies to

PlayList

Declaration

function object.AddField

Description

Remarks


PlayList AddWithParam
AddWithParam function

Applies to

PlayList

Declaration

function object.AddWithParam(Control, Parameter)

Description

Add a playlist line

Parameter	Description
Control	can be one of the following: "Wait For Key", "Delay", "Loop", "Skip", "End", "Goto", "GPI".
Parameter	string value containing appropriate parameter for selected control value.
Returns

Insert Index - index in playlist where new line was added or -1 if method failed.

Remarks


PlayList Delete
Delete function

Applies to

PlayList

Declaration

function object.Delete(LineIndex)

Description

Deletes a playlist line

Parameter	Description
LineIndex	Int range 0-499
Remarks


PlayList DeleteAll
DeleteAll function

Applies to

PlayList

Declaration

function object.DeleteAll

Description

Deletes all playlist items

Remarks


PlayList GetItem
GetItem function

Applies to

PlayList

Declaration

function object.GetItem(LineIndex)

Description

Gets a playlist line

Parameter	Description
LineIndex	Int range 0-499
Returns

{PlayListData} object

Remarks


PlayList Play
Play function

Applies to

PlayList

Declaration

function object.Play(UseRelativeTimecode)

Description

Starts the playlist running

Parameter	Description
UseRelativeTimecode	currently not implemented
Remarks


PlayList Save
Save function

Applies to

PlayList

Declaration

function object.Save(FileName)

Description

Saves playlist

Parameter	Description
FileName	file to save playlist to
Remarks


PlayList Step
Step function

Applies to

PlayList

Declaration

function object.Step

Description

Executes the current playlist line

Remarks


PlayList Stop
Stop function

Applies to

PlayList

Declaration

function object.Stop

Description

Stops a running playlist

Remarks


PlayListData
PlayListData object

Properties	Methods	Events
Description

Provides access to a playlist line.

Remarks

This interface allows read access to all the columns of a playlist line as well as retreiving the forground and background color used to paint the line in the UI. Created by {PlayList.GetItem}


PlayListData Properties
Properties

BackColor	Duet	OutTime
Channel	Effect	Parameter
Color	File	Speed
Control	InTime


PlayListData Methods
Methods


PlayListData Events
Events


PlayListData BackColor
BackColor property

Applies to

PlayListData

Declaration

property object.BackColor

Description

Gets the color used to draw the background of the text within the line elements.

Returns

Int - color (bits 0-7 red, bits 8-15 green, bits 16-23 blue)

Remarks


PlayListData Channel
Channel property

Applies to

PlayListData

Declaration

property object.Channel

Description

Gets the channel that the effect will be played on

Returns

String - the effect channel from the channel column

Remarks


PlayListData Color
Color property

Applies to

PlayListData

Declaration

property object.Color

Description

Gets the color used to draw the text within the line elements.

Returns

Int - color (bits 0-7 red, bits 8-15 green, bits 16-23 blue)

Remarks


PlayListData Control
Control property

Applies to

PlayListData

Declaration

property object.Control

Description

Gets the control name from the control column

Returns

String - the selected control

Remarks


PlayListData Duet
Duet property

Applies to

PlayListData

Declaration

property object.Duet

Description

Gets the Duet that the control will be played on

Returns

String - the Duet id from the Duet column

Remarks


PlayListData Effect
Effect property

Applies to

PlayListData

Declaration

property object.Effect

Description

Gets the effect name from the the effect column

Returns

String - the selected effect

Remarks


PlayListData File
File property

Applies to

PlayListData

Declaration

property object.File

Description

Gets file name from the file column

Returns

String - the selected control

Remarks


PlayListData InTime
InTime property

Applies to

PlayListData

Declaration

property object.InTime

Description

Gets the starting time from the in-time column

Returns

String - the effects starting time

Remarks


PlayListData OutTime
OutTime property

Applies to

PlayListData

Declaration

property object.OutTime

Description

Gets the ending time name from the out-time column

Returns

String - the effects ending time

Remarks


PlayListData Parameter
Parameter property

Applies to

PlayListData

Declaration

property object.Parameter

Description

Gets the selected parameter from the parameter column

Returns

String - the selected parameter

Remarks


PlayListData Speed
Speed property

Applies to

PlayListData

Declaration

property object.Speed

Description

Gets the current effect speed (if any) from the speed column

Returns

String - the entered speed.

Remarks


Plugin
Plugin object

Properties	Methods	Events
Description

Object used to access/control a Lyric Plugin

Remarks


Plugin Properties
Properties


Plugin Methods
Methods

Execute	GetObject


Plugin Events
Events


Plugin Execute
Execute method

Applies to

Plugin

Declaration

sub object.Execute(Method, PluginSpecificVariant)

Description

Commands the plugin to execute

Parameter	Description
Method	Method to execute
PluginSpecificVariant	Optional object to pass to plugin (plugin specific)
Remarks


Plugin GetObject
GetObject sub

Applies to

Plugin

Declaration

sub object.GetObject(Method)

Description

Retrieves a plugin specific object

Parameter	Description
Method	String. Plugin method name used to retrieve the object
Returns

PluginObject. Dispatch. Plugin specific object

Remarks


PluginCollection
PluginCollection object

Properties	Methods	Events
Description

Enumeration object used to access Lyric plugins

Remarks


PluginCollection Properties
Properties


PluginCollection Methods
Methods

Count	Plugin


PluginCollection Events
Events


PluginCollection Count
Count method

Applies to

PluginCollection

Declaration

function object.Count

Description

Get the number of plugins connected to Lyric

Returns

Int  : Number of plugins

Remarks


PluginCollection Plugin
Plugin function

Applies to

PluginCollection

Declaration

function object.Plugin(PluginIdentifier)

Description

Get by either name or index a Lyric Plugin Object

Parameter	Description
PluginIdentifier	Either the ProgID of the plugin or zero based index not more than one less than the value from Count
Returns

Lyric Plugin Object

Remarks


Rect
Rect object

Properties	Methods	Events
Description

Object used to get rectangular coordinate information

Remarks


Rect Properties
Properties

Bottom	Left	Top
Height	Right	Width


Rect Methods
Methods


Rect Events
Events


Rect Bottom
Bottom property

Applies to

Rect

Declaration

property object.Bottom

Description

Gets the bottom side coordinate of an object

Returns

Integer : Objects bottom side

Remarks


Rect Height
Height property

Applies to

Rect

Declaration

property object.Height

Description

Gets the height of an object

Returns

Integer : Objects height

Remarks


Rect Left
Left property

Applies to

Rect

Declaration

property object.Left

Description

Gets the left side coordinate of an object

Returns

Integer : Objects left side

Remarks


Rect Right
Right property

Applies to

Rect

Declaration

property object.Right

Description

Gets the right side coordinate of an object

Returns

Integer : Objects right side

Remarks


Rect Top
Top property

Applies to

Rect

Declaration

property object.Top

Description

Gets the top side coordinate of an object

Returns

Integer : Objects top side

Remarks


Rect Width
Width property

Applies to

Rect

Declaration

property object.Width

Description

Gets the width of an object

Returns

Integer : Objects width

Remarks


RegisteredCustomEditorProperty
RegisteredCustomEditorProperty object

Properties	Methods	Events
Description

Object used to retreive information about a registered property

Remarks


RegisteredCustomEditorProperty Properties
Properties

Default	Options	Value
Name	Type


RegisteredCustomEditorProperty Methods
Methods


RegisteredCustomEditorProperty Events
Events


RegisteredCustomEditorProperty Default
Default property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Default

Description

Returns the default value of the registered property

Returns

String : Default value

Remarks


RegisteredCustomEditorProperty Name
Name property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Name

Description

Returns the name of the registered property

Returns

String : Property name

Remarks


RegisteredCustomEditorProperty Options
Options property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Options

Description

Returns the options of the registered property only valid for types 3 (Combo Choice), and 5 (Parsed List)

Returns

String : Option string. For Combo choice (type 3) this is a pipe separated list of choices, for Parsed List (type 5) this is the registered property that contains text for parsing

Remarks


RegisteredCustomEditorProperty Type
Type property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Type

Description

Returns the type of the registered property

Returns

Int  : Type (0 = String, 1 = Int, 2 = Float, 3 = Combo Choice, 4 = Text Block, 5 = Parsed List)

Remarks


RegisteredCustomEditorProperty Value
Value property

Applies to

RegisteredCustomEditorProperty

Declaration

property object.Value(Value)

Description

Value access property

Parameter	Description
Value	Property value (when setting)
Returns

String : Property value (when getting)

Remarks


RegisteredNamespaceEnum
RegisteredNamespaceEnum object

Properties	Methods	Events
Description

Registered Namespace enumeration object

Remarks

This object is used to emumerate through all the namespaces registered for a specific lyric object. It is created when {LyricObject.CustomProperties} is invoked.


RegisteredNamespaceEnum Properties
Properties

Count


RegisteredNamespaceEnum Methods
Methods

Get


RegisteredNamespaceEnum Events
Events


RegisteredNamespaceEnum Count
Count property

Applies to

RegisteredNamespaceEnum

Declaration

property object.Count

Description

Gets the number of namespaces registered for a particular Lyric object class

Returns

Registered Namespace Count - number of namespaces registered

Remarks

See {RegisteredNamespaceEnum.Get} Remarks for an example


RegisteredNamespaceEnum Get
Get method

Applies to

RegisteredNamespaceEnum

Declaration

function object.Get(Index)

Description

Gets a Namespace context object for a particular Lyric object class

Parameter	Description
Index	Zero-based index which is at most one less that the value from "Count"
Returns

Registered Namespce Context Object

Remarks

 Example dim lyricObjects(0) lyricObjects(0)  = "Lyric2DObject" 'The following two lines need to be left out if the VB Script is part of a lyric macro  set lyricServer = CreateObject("lyric.lyricServer.1") set lyric    = lyricServer.GetLyric                     call lyric.RegisterObjectProperty("Export Properties", "File Name", 0, "",     lyricObjects, "") call lyric.RegisterObjectProperty("Image Processing",  "Effect",    3, "Blur", lyricObjects, "Blur.Sharpen")  namespaceContext = lyric.CustomProperties("Lyric2DObject")  contextCount = namespaceContext.Count  for index=0 to contextCount - 1 next


RegisteredProperties
RegisteredProperties object

Properties	Methods	Events
Description

Enumerator object that gives access to the registered properties for a specific Lyric Object

Remarks


RegisteredProperties Properties
Properties

Count	Namespace	OwnerElement


RegisteredProperties Methods
Methods

ByIndex	ByName


RegisteredProperties Events
Events


RegisteredProperties Count
Count property

Applies to

RegisteredProperties

Declaration

property object.Count

Description

Gets the number of registered properties for this object

Returns

Int    : Number of registered properties

Remarks


RegisteredProperties Namespace
Namespace property

Applies to

RegisteredProperties

Declaration

property object.Namespace

Description

Gets the namespace associated with this set of properties

Returns

Namespace, String. Fully qualified namespace (i.e. "Chyron.LEIFlet.MetaSync.1::ExportTags")

Remarks


RegisteredProperties OwnerElement
OwnerElement property

Applies to

RegisteredProperties

Declaration

property object.OwnerElement

Description

Gets the Lyric Object that owns the instance of this property namespace

Returns

Lyric Element Object

Remarks


RegisteredProperties ByIndex
ByIndex method

Applies to

RegisteredProperties

Declaration

function object.ByIndex(Int)

Description

Gets a registered property interface by zero-based index

Parameter	Description
Int	Zero-based index which is at most one less than the value from "Count"
Returns

Lyric Registered Property Object

Remarks


RegisteredProperties ByName
ByName function

Applies to

RegisteredProperties

Declaration

function object.ByName(Name, IgnoreCase)

Description

Gets a registered property interface by its pipe separated name optional BOOL argument for ignoring case

Parameter	Description
Name	Complete property name (including any pipe separators)
IgnoreCase	Optional, when set to TRUE case is ignored when searching for the registered property
Returns

Lyric Registered Property Object

Remarks


RegisteredProperty
RegisteredProperty object

Properties	Methods	Events
Description

Object used to retreive information about a registered property

Remarks


RegisteredProperty Properties
Properties

Default	ObjectCount	Type
Name	Options	Value


RegisteredProperty Methods
Methods

ObjectName


RegisteredProperty Events
Events


RegisteredProperty Default
Default property

Applies to

RegisteredProperty

Declaration

property object.Default

Description

Returns the default value of the registered property

Returns

String : Default value

Remarks


RegisteredProperty Name
Name property

Applies to

RegisteredProperty

Declaration

property object.Name

Description

Returns the name of the registered property

Returns

String : Property name

Remarks


RegisteredProperty ObjectCount
ObjectCount property

Applies to

RegisteredProperty

Declaration

property object.ObjectCount

Description

Gets the number of Lyric objects that this object is valid for

Returns

Int : Number of lyric objects

Remarks


RegisteredProperty Options
Options property

Applies to

RegisteredProperty

Declaration

property object.Options

Description

Returns the options of the registered property only valid for types 3 (Combo Choice), and 5 (Parsed List)

Returns

String : Option string. For Combo choice (type 3) this is a pipe separated list of choices, for Parsed List (type 5) this is the registered property that contains text for parsing

Remarks


RegisteredProperty Type
Type property

Applies to

RegisteredProperty

Declaration

property object.Type

Description

Returns the type of the registered property

Returns

Int  : Type (0 = String, 1 = Int, 2 = Float, 3 = Combo Choice, 4 = Text Block, 5 = Parsed List)

Remarks


RegisteredProperty Value
Value property

Applies to

RegisteredProperty

Declaration

property object.Value(Value)

Description

Value access property

Parameter	Description
Value	Property value (when setting)
Returns

String : Property value (when getting)

Remarks


RegisteredProperty ObjectName
ObjectName method

Applies to

RegisteredProperty

Declaration

function object.ObjectName(ObjectCount)

Description

Used to enumerate the list of Lyric Objects that this registered property is valid for.

Parameter	Description
ObjectCount	1)
Returns

String : Name of Lyric object

Remarks


RegisteredPropertyContext
RegisteredPropertyContext object

Properties	Methods	Events
Description

Object with which to retrieve the name and context command ID for a registered property class of a specific Lyric object

Remarks

created when {RegisteredNamespaceEnum.Get} is invoked.


RegisteredPropertyContext Properties
Properties

CommandID	Name	PropertyCount


RegisteredPropertyContext Methods
Methods

Property


RegisteredPropertyContext Events
Events


RegisteredPropertyContext CommandID
CommandID property

Applies to

RegisteredPropertyContext

Declaration

property object.CommandID

Description

Returns the command ID used by Lyric to generate context menus

Returns

Lyric context ID

Remarks


RegisteredPropertyContext Name
Name property

Applies to

RegisteredPropertyContext

Declaration

property object.Name

Description

Returns the context name of the property

Returns

String : Context name (i.e. "Chyron.LEIFlet.MetaSync.1::Export Settings")

Remarks


RegisteredPropertyContext PropertyCount
PropertyCount property

Applies to

RegisteredPropertyContext

Declaration

property object.PropertyCount

Description

Returns the number of properties registered for this object's context

Returns

Number of registered properties

Remarks


RegisteredPropertyContext Property
Property method

Applies to

RegisteredPropertyContext

Declaration

function object.Property(Index)

Description

Retrieves by index a RegisteredProperty object.

Parameter	Description
Index	Property (zero-based) index to retrieve. Range is 0 to one less the value returned from PropertyCount
Returns

RegisteredProperty object

Remarks


Resolution
Resolution object

Properties	Methods	Events
Description

Used to get the current canvas dimensions, aspect ratio, and animation frame rate

Remarks


Resolution Properties
Properties

AspectRatio	FramesPerSecond	Size


Resolution Methods
Methods


Resolution Events
Events


Resolution AspectRatio
AspectRatio property

Applies to

Resolution

Declaration

property object.AspectRatio

Description

Gets the aspect ratio (width/height) of the currently selected resolution

Returns

Aspect Ratio

Remarks


Resolution FramesPerSecond
FramesPerSecond property

Applies to

Resolution

Declaration

property object.FramesPerSecond

Description

Gets the currently selected animation frame rate

Returns

Frames Per Second

Remarks


Resolution Size
Size property

Applies to

Resolution

Declaration

property object.Size

Description

Gets the dimensions of the canvas for the currently selected resolution

Returns

Lyric Size Object

Remarks


RowBasedElement
RowBasedElement object

Properties	Methods	Events
Description

Extension of Lyric Element Object for Template Text Elements

Remarks

A template object is returned by the following Scene methods
  ActiveCanvas.Scene.SelectedTemplate - selects a template by its number
  ActiveCanvas.Scene.GetTemplate - selects a template by its name


RowBasedElement Properties
Properties

Background	TemplateRect	Width
DBLink	TextWidth
LyricProperties	UseTemplateRect


RowBasedElement Methods
Methods

SetActive


RowBasedElement Events
Events


RowBasedElement Background
Background property

Applies to

RowBasedElement

Declaration

property object.Background

Description

Gets a Lyric Element object for accessing image information about the background associated with the template

Returns

A Lyric Element Object

Remarks


RowBasedElement DBLink
DBLink property

Applies to

RowBasedElement

Declaration

property object.DBLink

Description

Gets the associated {DBLink} Object that contains database link information

Returns

DBLink, {DBLink} Object.

Remarks


RowBasedElement LyricProperties
LyricProperties property

Applies to

RowBasedElement

Declaration

property object.LyricProperties

Description

Gets the Lyric Properties Object to allow access to fixed properties associated with the template

Returns

Lyric Properties Object

Remarks


RowBasedElement TemplateRect
TemplateRect property

Applies to

RowBasedElement

Declaration

property object.TemplateRect

Description

Gets the coordinates of the template frame (red rectangle)

Returns

Lyric Rect Object

Remarks


RowBasedElement TextWidth
TextWidth property

Applies to

RowBasedElement

Declaration

property object.TextWidth

Description

Gets the width of the text in the template (first row only)

Returns

Width - Integer.  The width of the text in the template, in pixels

Remarks


RowBasedElement UseTemplateRect
UseTemplateRect property

Applies to

RowBasedElement

Declaration

property object.UseTemplateRect(UseTemplateRect)

Description

Controls whether the text rectangle or the template rectangle is used to define the text area

Parameter	Description
UseTemplateRect	True if the template rect is being used, False if the text rect is being used
Returns

BOOL : True if the template rect is being used, False if the text rect is being used

Remarks


RowBasedElement Width
Width property

Applies to

RowBasedElement

Declaration

property object.Width(Width)

Description

Gets/Sets the width of the template

Parameter	Description
Width	Integer.  The width of the template, in pixels
Returns

Width - Integer.  The width of the template, in pixels

Remarks


RowBasedElement SetActive
SetActive method

Applies to

RowBasedElement

Declaration

sub object.SetActive

Description

Sets this template as active in the current scene

Remarks


RowBasedLyricProperties
RowBasedLyricProperties object

Properties	Methods	Events
Description

Provides information on Lyric properties associated with template text

Remarks

Retrieved via the LyricProperties method on a template element


RowBasedLyricProperties Properties
Properties

AllCaps	Justification	TemplateID
AutoErase	Numeric	WordWrap
ExternalUpdateEnable	Priority
IIUpdateEnable	SizeToFit


RowBasedLyricProperties Methods
Methods

EndUpdate	StartUpdate


RowBasedLyricProperties Events
Events


RowBasedLyricProperties AllCaps
AllCaps property

Applies to

RowBasedLyricProperties

Declaration

property object.AllCaps(AllCaps)

Description

Flag that enables conversion of all alphabetic characters within the template to upper case

Parameter	Description
AllCaps	Bool. True if upper-case conversion is enabled
Returns

AllCaps - Bool. True if upper-case conversion is enabled

Remarks


RowBasedLyricProperties AutoErase
AutoErase property

Applies to

RowBasedLyricProperties

Declaration

property object.AutoErase(AutoErase)

Description

Flag that when set causes the template to erase its contents when new data is entered.

Parameter	Description
AutoErase	Bool. True if Auto erase is enabled.
Returns

AutoErase - Bool. True if Auto erase is enabled.

Remarks

Auto erase will erase the template contents when character data when the template is selected and new data is entered.


RowBasedLyricProperties ExternalUpdateEnable
ExternalUpdateEnable property

Applies to

RowBasedLyricProperties

Declaration

property object.ExternalUpdateEnable(UpdateEnable)

Description

Flag that enables external update of this template.through Intelligent Interface

Parameter	Description
UpdateEnable	Bool. True if external update is enabled for this template.
Returns

UpdateEnable - Bool. True if external update is enabled for this template.

Remarks


RowBasedLyricProperties IIUpdateEnable
IIUpdateEnable property

Applies to

RowBasedLyricProperties

Declaration

property object.IIUpdateEnable(UpdateEnable)

Description

Flag that allows Intelligent Interface to update template text

Parameter	Description
UpdateEnable	Bool. True if Intelligent Interface updates are enabled
Returns

UpdateEnable, Bool. True if Intelligent Interface updates are enabled

Remarks


RowBasedLyricProperties Justification
Justification property

Applies to

RowBasedLyricProperties

Declaration

property object.Justification(Justification)

Description

Justification of text within the template

Parameter	Description
Justification	Integer, None = 0, CenterRow = 1, LeftJustify = 2, CenterPage = 3, RightJustify = 4
Returns

Justification - Integer. None = 0, CenterRow = 1, LeftJustify = 2, CenterPage = 3, RightJustify = 4

Remarks


RowBasedLyricProperties Numeric
Numeric property

Applies to

RowBasedLyricProperties

Declaration

property object.Numeric(Numeric)

Description

Flag that allows only numeric values to be entered into template

Parameter	Description
Numeric	Bool. True if only numeric values are allowed.
Returns

Numeric - Bool. True if only numeric values are allowed.

Remarks


RowBasedLyricProperties Priority
Priority property

Applies to

RowBasedLyricProperties

Declaration

property object.Priority

Description

Gets/sets the priority value of the template

Returns

Template priority, Integer between 1 and 999

Remarks


RowBasedLyricProperties SizeToFit
SizeToFit property

Applies to

RowBasedLyricProperties

Declaration

property object.SizeToFit(SizeToFit)

Description

Gets/Sets the size to fit flag.

Parameter	Description
SizeToFit	True to force the template to size characters to fit, False otherwise
Returns

SizeToFit - True if the template is in size to fit mode, False otherwise

Remarks


RowBasedLyricProperties TemplateID
TemplateID property

Applies to

RowBasedLyricProperties

Declaration

property object.TemplateID

Description

Gets/sets the template id/number

Returns

Template ID, Integer between -1 and 9999

Remarks


RowBasedLyricProperties WordWrap
WordWrap property

Applies to

RowBasedLyricProperties

Declaration

property object.WordWrap(WordWrap)

Description

Flag that allows text to wrap to next line in a multi-line template

Parameter	Description
WordWrap	Bool. True if word wrap is enabled.
Returns

WordWrap - Bool. True if word wrap is enabled.

Remarks


RowBasedLyricProperties EndUpdate
EndUpdate method

Applies to

RowBasedLyricProperties

Declaration

sub object.EndUpdate

Description

After updating multiple properties of a template EndUpdate is called to apply the changes.

Remarks


RowBasedLyricProperties StartUpdate
StartUpdate sub

Applies to

RowBasedLyricProperties

Declaration

sub object.StartUpdate

Description

Before updating multiple properties of a template StartUpdate is called to initialize an update session.

Remarks


RowElement
RowElement object

Properties	Methods	Events
Description

Remarks


RowElement Properties
Properties

Justify	RowNumber	SetCaretPos
RowColor	SelectedRowColor


RowElement Methods
Methods

DeleteAll	HandleChar
GetCaretPos	WriteCompositeGlyph


RowElement Events
Events


RowElement Justify
Justify property

Applies to

RowElement

Declaration

property object.Justify

Description

Remarks


RowElement RowColor
RowColor property

Applies to

RowElement

Declaration

property object.RowColor

Description

Remarks


RowElement RowNumber
RowNumber property

Applies to

RowElement

Declaration

property object.RowNumber

Description

Remarks


RowElement SelectedRowColor
SelectedRowColor property

Applies to

RowElement

Declaration

property object.SelectedRowColor

Description

Remarks


RowElement SetCaretPos
SetCaretPos property

Applies to

RowElement

Declaration

property object.SetCaretPos

Description

Remarks


RowElement DeleteAll
DeleteAll method

Applies to

RowElement

Declaration

sub object.DeleteAll

Description

Remarks


RowElement GetCaretPos
GetCaretPos sub

Applies to

RowElement

Declaration

sub object.GetCaretPos

Description

Remarks


RowElement HandleChar
HandleChar sub

Applies to

RowElement

Declaration

sub object.HandleChar

Description

Remarks


RowElement WriteCompositeGlyph
WriteCompositeGlyph sub

Applies to

RowElement

Declaration

sub object.WriteCompositeGlyph

Description

Remarks


Scene
Scene object

Properties	Methods	Events
Description

Allows access to scene components

Remarks


Scene Properties
Properties

ActiveObject	EnableGuides	Resolution
AnimationLength	FullScreen2DText	SafeTitle
Background	HasBackground	StaticObjectCount
BackgroundVisible	IsAnimation	TwoDFrames
CurrentFrame	NativeResolution
Element	NodeCount


Scene Methods
Methods

AddFlipbook	Group	RestoreCanvas
AddStaticObject	ImportFile	Select
DeleteStaticObject	InsertObject	SelectedTemplate
EditStaticObject	Node	SetBackgroundRGBA
ElementFromGUID	NodesToStream	StaticObject
Erase	Play	StreamToNodes
Exists	Properties	SwapPriority
ExportHTML	ProxyBasedPrimitive	UpdateDBLinkFields
GetTemplate	Refresh


Scene Events
Events


Scene ActiveObject
ActiveObject property

Applies to

Scene

Declaration

property object.ActiveObject

Description

Gets a Lyric Node Object for the last selected object in the scene graph

Returns

Lyric Node Object {CNodeProxy}

Remarks


Scene AnimationLength
AnimationLength property

Applies to

Scene

Declaration

property object.AnimationLength

Description

Gets the length of the current animation

Returns

Frames, Integer. The length of the current animation, in frames

Remarks


Scene Background
Background property

Applies to

Scene

Declaration

property object.Background

Description

Gets a Lyric Element object for accessing image information about the scene background

Returns

A Lyric Element Object {CElementProxy}

Remarks


Scene BackgroundVisible
BackgroundVisible property

Applies to

Scene

Declaration

property object.BackgroundVisible(Visible)

Description

Sets/Gets the visibility state of the scene background

Parameter	Description
Visible	Set To TRUE (Non-zero) to enable the background to be shown, set to FALSE (0) otherwise
Returns

Visible - Returns TRUE (Non-zero) if the background is currently visible, FALSE (0) if it is hidden

Remarks


Scene CurrentFrame
CurrentFrame property

Applies to

Scene

Declaration

property object.CurrentFrame

Description

Gets the current animation frame number

Returns

FrameNumber, Integer. The current frame,

Remarks


Scene Element
Element property

Applies to

Scene

Declaration

property object.Element(name)

Description

Gets an element from the scene graph by name

Parameter	Description
name	The name of the element, from the scene graph
Returns

Lyric Element Object {CElementProxy}

Remarks

If elements exist which have the same name, the first one found will be returned


Scene EnableGuides
EnableGuides property

Applies to

Scene

Declaration

property object.EnableGuides(Enable)

Description

Controls the display of foreground canvas objects (Safe Title, Alignment Grids, etc).

Parameter	Description
Enable	Set To TRUE (Non-zero) to enable the elements to be displayed, set to FALSE (0) to hide them
Remarks


Scene FullScreen2DText
FullScreen2DText property

Applies to

Scene

Declaration

property object.FullScreen2DText(SetFullScreen)

Description

Flag used to identify a special export mode used by the ITV Plugin.

Parameter	Description
SetFullScreen	Set to TRUE (Non-zero) to enable this mode, Set to FALSE (Zero) to disable it
Remarks


Scene HasBackground
HasBackground property

Applies to

Scene

Declaration

property object.HasBackground

Description

Checks for the existence of a background.

Returns

BackgroundExists, Bool. True if the scene has a background object.

Remarks


Scene IsAnimation
IsAnimation property

Applies to

Scene

Declaration

property object.IsAnimation

Description

Flag that is set if the loaded message is an animation

Returns

IsAnimation, Bool. True if the loaded message is an animation

Remarks


Scene NativeResolution
NativeResolution property

Applies to

Scene

Declaration

property object.NativeResolution

Description

Gets the resolution that was set when the current message was last saved.

Returns

NativeResolution, {Resolution} Object.

Remarks


Scene NodeCount
NodeCount property

Applies to

Scene

Declaration

property object.NodeCount

Description

Gets the number of nodes attached to the scene graph. When retrieving nodes with a call to "Node" the index parameter should not exceed one less than this value

Returns

NodeCount - number of nodes attached to the scene graph

Remarks


Scene Resolution
Resolution property

Applies to

Scene

Declaration

property object.Resolution

Description

Gets the current canvas resolution

Returns

A Lyric Resolution Object {CResolutionProxy}

Remarks


Scene SafeTitle
SafeTitle property

Applies to

Scene

Declaration

property object.SafeTitle(Enable)

Description

Controls the display of the Safe Title guide

Parameter	Description
Enable	Set To TRUE (Non-zero) to show the safe title guide, set to FALSE (0) to hide it
Returns

Enabled - TRUE (Non-zero) if the safe title guide is being displayed, FALSE (0) if it is hidden

Remarks


Scene StaticObjectCount
StaticObjectCount property

Applies to

Scene

Declaration

property object.StaticObjectCount

Description

Gets the number of static objects on the canvas

Returns

Number of objects

Remarks


Scene TwoDFrames
TwoDFrames property

Applies to

Scene

Declaration

property object.TwoDFrames(Visible)

Description

Sets/Gets the visibility state of the 2D Text frames

Parameter	Description
Visible	Set To TRUE (Non-zero) to enable all window frames to be shown, set to FALSE (0) otherwise
Returns

Visible - Returns TRUE (Non-zero) if window frames are currently visible, FALSE (0) if it is hidden

Remarks


Scene AddFlipbook
AddFlipbook method

Applies to

Scene

Declaration

function object.AddFlipbook(File, File, Name)

Description

Adds a flipbook to the scene

Parameter	Description
File	String, Filename of the first cel in the flipbook
File	String, Filename of the last cel in the flipbook
Name	String, Name of the flipbook
Returns

True if successful, false otherwise

Remarks

Filename format for all cels must follow Lyric conventions for flipbooks. All filenames in the series must have the same base name, followed by the cel number padded to a consistent number of digits. followed by the file extension. Only TARGA (*.tga), TIFF (*.tif), or Windows bitmap (*.bmp) image formats are supported   e.g. AddFlipbook("Flp0000.tga", "Flp0030.tga", "MyFlipbook")


Scene AddStaticObject
AddStaticObject function

Applies to

Scene

Declaration

function object.AddStaticObject(Class)

Description

Adds a static primitive to the registered list maintained by the canvas

Parameter	Description
Class	Class of object to add
Returns

ID  : Primitive ID if successful or -1 if failure

Remarks


Scene DeleteStaticObject
DeleteStaticObject function

Applies to

Scene

Declaration

function object.DeleteStaticObject(ID)

Description

Deletes a static primitive

Parameter	Description
ID	Primitive ID returned from the AddObject method
Returns

Status : 0 if successful, -1 if failure

Remarks


Scene EditStaticObject
EditStaticObject function

Applies to

Scene

Declaration

function object.EditStaticObject(ID, PrimitiveIndex)

Description

Invokes a custom property editor (if registered) or the default editor for the specified static primitive

Parameter	Description
ID	Command ID
PrimitiveIndex	Zero based static primitive Index
Remarks


Scene ElementFromGUID
ElementFromGUID function

Applies to

Scene

Declaration

function object.ElementFromGUID

Description

Remarks


Scene Erase
Erase function

Applies to

Scene

Declaration

function object.Erase(EraseControl)

Description

Erases some or all components from the scene graph

Parameter	Description
EraseControl	What to erase
Remarks

EraseControl can be one of the following values:
0 = Erase text in the active window
1 = Erase All Text
2 = Erase Scene
3 = Erase All Output.  Erases output on all frame buffers


Scene Exists
Exists function

Applies to

Scene

Declaration

function object.Exists(NodeName)

Description

Checks for the existence of a node by name

Parameter	Description
NodeName	String. Name of the node to look for.
Returns

Exists, Bool. True if the node exists in the scene graph

Remarks


Scene ExportHTML
ExportHTML function

Applies to

Scene

Declaration

function object.ExportHTML(Object)

Description

Saves the current frame as an HTML document.

Parameter	Description
Object	An ITV Plugin HTML Options Object (see ITV Plugin Documentation)
Remarks

Calls into the ITV Plugin to perform the generation of an HTML document as well as any required image files


Scene GetTemplate
GetTemplate function

Applies to

Scene

Declaration

function object.GetTemplate(TemplateName)

Description

Gets the template that has the name provided as argument

Parameter	Description
TemplateName	String.  Name of template to search for
Returns

Template, {RowBasedElement} Object.

Remarks


Scene Group
Group function

Applies to

Scene

Declaration

function object.Group(Name)

Description

Groups all selected items in the scene

Parameter	Description
Name	String, Name of the group
Remarks


Scene ImportFile
ImportFile function

Applies to

Scene

Declaration

function object.ImportFile(LoadType, PathAndFile)

Description

Loads an image from a filesystem file.

Parameter	Description
LoadType	How to load the image
PathAndFile	File to load
Remarks

LoadType can be one of the following:
6 = Load image to an image object
7 = Load image to background centered
8 = Load image to background sized to fit
9 = File is loaded as a 3D object


Scene InsertObject
InsertObject function

Applies to

Scene

Declaration

function object.InsertObject(Type)

Description

Inserts an object into the scene graph

Parameter	Description
Type	The type of object to insert
Remarks

Object types are as follows:
0 = Text
1 = Crawl
2 = Roll
3 = TypeOn
4 = Clock
5 = Timer


Scene Node
Node function

Applies to

Scene

Declaration

function object.Node(Index)

Description

Gets a Lyric Node Object from the scene graph

Parameter	Description
Index	The zero based index of the node to be retrieved. This value must be at most 1 less than the value returned from "NodeCount"
Returns

A Lyric Node Object {CNodeProxy}

Remarks


Scene NodesToStream
NodesToStream function

Applies to

Scene

Declaration

function object.NodesToStream

Description

Serializes the data associated with the objects selected in the scene to a stream

Returns

Stream data - Variant. Array of byte data (BYREF) that must be deleted by caller.

Remarks


Scene Play
Play function

Applies to

Scene

Declaration

function object.Play(Target, WaitTilDone)

Description

Plays the loaded message

Parameter	Description
Target	0 if to VGA Preview, 1 if to Duet, 2 if all available Frame Buffers should play
WaitTilDone	Non-zero if the function should not return until the message is done, zero otherwise
Remarks


Scene Properties
Properties function

Applies to

Scene

Declaration

function object.Properties(Namespace)

Description

Gets the scene level properties associated with the loaded message

Parameter	Description
Namespace	Registered category of properties to retrieve
Returns

Lyric Properties Object {CCustProps}

Remarks

Will retrieve the registered namespace (if it exists) associated with the scene.


Scene ProxyBasedPrimitive
ProxyBasedPrimitive function

Applies to

Scene

Declaration

function object.ProxyBasedPrimitive

Description

Remarks


Scene Refresh
Refresh function

Applies to

Scene

Declaration

function object.Refresh

Description

Force the canvas to render all scene elements

Remarks


Scene RestoreCanvas
RestoreCanvas function

Applies to

Scene

Declaration

function object.RestoreCanvas

Description

Sets the size of the canvas to its currently defined resolution.

Remarks


Scene Select
Select function

Applies to

Scene

Declaration

function object.Select(NodeName, KeyStatus)

Description

Selects a node

Parameter	Description
NodeName	Name of the node (from the scene graph) for selection
KeyStatus	State of the ALT, SHIFT, and CONTROL keys as bits composing an integer variant Bit should be set to 1 for key to be considered as pressed. CONTROL key state is bit 0 ALT key state is bit 1 SHIFT key is bit 2
Remarks

If none of the modifier keys specified within KeyStatus is set all previous selections are removed.  If the SHIFT key is set, selection is extended sequentially to include the specified object. If the CONTROL key is set, disjoint selection is executed and  selection may be extended non-sequentially.


Scene SelectedTemplate
SelectedTemplate function

Applies to

Scene

Declaration

function object.SelectedTemplate(Use)

Description

Gets the requested template. Either by template number or the one that is selected

Parameter	Description
Use	1 to get the one that is selected
Returns

Template, {RowBasedElement} Object.

Remarks


Scene SetBackgroundRGBA
SetBackgroundRGBA function

Applies to

Scene

Declaration

function object.SetBackgroundRGBA(Width, Height, Format, ImageData, Static)

Description

Sets the scene background from an array of RGBA data, optionally making a static background.

Parameter	Description
Width	Integer. Width of the image in the RGBA array.
Height	Integer. Height of the image in the RGBA array.
Format	String. Format of data in RGBA array. Valid formats are YUVA, RGBA, BGRA, RGB, ARGB, ABGR.
ImageData	Array. Formatted pixel data.
Static	Variant of Type VT_BOOL. Optional parameter set to true to make a static background.
Remarks

Once specified a static background will always be present, even after completely erasing the scene.


Scene StaticObject
StaticObject function

Applies to

Scene

Declaration

function object.StaticObject(index, ID)

Description

Gets the static object from the canvas specified by the iterator index

Parameter	Description
index	Zero based index, must be at most one less than the value returned from StaticObjectCount
ID	Optional Bool arg that when true, indicates that ARG0 is the static object ID
Returns

Lyric Custom Primitive Proxy {CCustomPrimitiveProxy}

Remarks


Scene StreamToNodes
StreamToNodes function

Applies to

Scene

Declaration

function object.StreamToNodes(data)

Description

Creates objects from serialized data and adds them to the current scene

Parameter	Description
data	Variant. Array of byte data (BYREF)
Remarks


Scene SwapPriority
SwapPriority function

Applies to

Scene

Declaration

function object.SwapPriority(NodeName1, NodeName2)

Description

Swaps the display priority of two nodes

Parameter	Description
NodeName1	String. Name of the first node to look for.
NodeName2	String. Name of the second node to look for.
Returns

True if successful, false if either of the nodes cannot be found

Remarks


Scene UpdateDBLinkFields
UpdateDBLinkFields function

Applies to

Scene

Declaration

function object.UpdateDBLinkFields

Description

Updates all templates and images in the scene which are linked to databases

Remarks


Selection
Selection object

Properties	Methods	Events
Description

Used to perform operations within 2D text windows in Lyric

Remarks


Selection Properties
Properties

Text


Selection Methods
Methods

Backspace	Escape	NewLine
Delete	Execute	Right
Down	Home	Tab
End	Left	Up


Selection Events
Events


Selection Text
Text property

Applies to

Selection

Declaration

property object.Text(Text)

Description

 Inserts text at the caret position

Parameter	Description
Text	String.  Text to insert
Remarks


Selection Backspace
Backspace method

Applies to

Selection

Declaration

sub object.Backspace

Description

 Backspaces the caret, deleting the previous character

Remarks

 Equivalent to pressing the Backspace key


Selection Delete
Delete sub

Applies to

Selection

Declaration

sub object.Delete

Description

 Deletes current character

Remarks

 Equivalent to pressing the Delete key


Selection Down
Down sub

Applies to

Selection

Declaration

sub object.Down

Description

 Moves caret downward

Remarks

 Modifier Specification   Empty   - moves caret to the previous row   scCtrl   - shifts character or selection one pixel downward   scCtrlShift  - shifts character or selection ten pixels downward


Selection End
End sub

Applies to

Selection

Declaration

sub object.End

Description

 Moves caret to the end of a row

Remarks

 Modifier Specification   Empty - moves caret to the end of current row   scCtrl  - moves caret to the end of page


Selection Escape
Escape sub

Applies to

Selection

Declaration

sub object.Escape

Description

 De-activates a template; caret is positioned immediately outside of the template

Remarks

 Equivalent to pressing the Escape key


Selection Execute
Execute sub

Applies to

Selection

Declaration

sub object.Execute(String)

Description

 Executes a menu-based operation

Parameter	Description
String	operation to execute
Remarks

 The following operations are supported:
Make FullScreen
Select All Text
Insert Row
Delete Row
Insert Template
Delete to End of Row
Next KeyFrame
Prev KeyFrame
Play Animation
Stop Animation
Goto Start of Animation
Goto End of Animation
Pickup Color/Font
Apply Color/Font
Reverse Animation
SuperShiftRowRight
SuperShiftRowUp
SuperShiftRowLeft
SuperShiftRowDown
ShiftPageDown
ShiftPageLeft
ShiftPageRight
ShiftPageUp
SuperShiftPageDown
SuperShiftPageLeft
SuperShiftPageRight
SuperShiftPageUp
ShiftRowRight
ShiftRowDown
ShiftRowLeft
ShiftRowUp
CtrlTab
Duet Render
Duet Transfer
Duet Channel 1
Duet Channel 2
Duet Channel 3
Duet Swap
Duet Channel Next
StopPlaylist
Duet Transfer OtherChannel
Delete Object(s)
Renumber Templates
Keyframe All
Keyframe Selected
Disable Interface Fields
Disable DBLink Fields
Copy Animation State
Paste Animation State
FastReverse
FastForward
FrameReverse
FrameForward
NextRowTab
PrevRowTab
DeleteMessage
NextWord
PrevWord


Selection Home
Home sub

Applies to

Selection

Declaration

sub object.Home

Description

 Moves to the beginning of a row, page or an animation

Remarks

 Modifier Specification   Empty - moves caret to the beginning of current row   scCtrl  - moves caret to the beginning of page


Selection Left
Left sub

Applies to

Selection

Declaration

sub object.Left

Description

 Moves caret to the left

Remarks

 Modifier Specification   Empty      - moves caret one character to the left   scCtrl   - moves character or selection one pixel to the left   scCtrlShift  - moves character or selection ten pixels to the left


Selection NewLine
NewLine sub

Applies to

Selection

Declaration

sub object.NewLine

Description

 createa a new row below the current cursor position

Remarks

 Equivalent to pressing the Enter key


Selection Right
Right sub

Applies to

Selection

Declaration

sub object.Right

Description

 Moves caret to the right

Remarks

 Modifier Specification   Empty - moves caret one character to the right   scCtrl   - shifts character or selection one pixel to the right   scCtrlShift  - shifts character or selection ten pixels to the right


Selection Tab
Tab sub

Applies to

Selection

Declaration

sub object.Tab

Description

 Inserts whitespace according to Lyric's tab width setting

Remarks

 Equivalent to pressing CTRL-TAB


Selection Up
Up sub

Applies to

Selection

Declaration

sub object.Up

Description

 Moves caret upward

Remarks

 Modifier Specification   Empty   - moves caret to the previous row   scCtrl   - shifts character or selection one pixel upward   scCtrlShift  - shifts character or selection ten pixels upward


Size
Size object

Properties	Methods	Events
Description

 Used to get width and height dimensions from various Lyric Objects

Remarks


Size Properties
Properties

Height	Width


Size Methods
Methods


Size Events
Events


Size Height
Height property

Applies to

Size

Declaration

property object.Height

Description

Gets the height of an object

Returns

Object Height

Remarks


Size Width
Width property

Applies to

Size

Declaration

property object.Width

Description

Gets the width of an object

Returns

Object Width

Remarks


Text
Text object

Properties	Methods	Events
Description

Object to allow access to a templates text and font information

Remarks

This object is created by calling {RowBasedElement.Text}.


Text Properties
Properties

CharsFont	Font	TextNoUpdate
CharsRect	Text


Text Methods
Methods

TextNoTrim


Text Events
Events


Text CharsFont
CharsFont property

Applies to

Text

Declaration

property object.CharsFont(CharacterIndex)

Description

Gets the Lyric Font Object that describes the font for a specific character in the template

Parameter	Description
CharacterIndex	Integer. Zero based index relative to the start of the string returned from {Text.TextNoTrim}.
Returns

CharacterFont, {Font} Object

Remarks


Text CharsRect
CharsRect property

Applies to

Text

Declaration

property object.CharsRect(CharacterIndex)

Description

Gets the rectangle of a template character in coordinates relative to the top and left of the template rectangle

Parameter	Description
CharacterIndex	Integer. Zero based index relative to the start of the string returned from {Text.TextNoTrim}.
Returns

CharacterRect, {Rect} Object.

Remarks


Text Font
Font property

Applies to

Text

Declaration

property object.Font

Description

Gets the Lyric Font Object that describes the font being used by the Template Element

Returns

Lyric Font Object

Remarks


Text Text
Text property

Applies to

Text

Declaration

property object.Text(Value)

Description

Gets/Sets the template ASCII text data

Parameter	Description
Value	Value to set the contents of the Template to
Returns

String : Current contents of the Template with leading and trailing spaces removed

Remarks


Text TextNoUpdate
TextNoUpdate property

Applies to

Text

Declaration

property object.TextNoUpdate(Value)

Description

Gets/Sets the template ASCII text data but does no perform an update of the canvas when the text is set

Parameter	Description
Value	Value to set the contents of the Template to
Returns

String : Current contents of the Template with leading and trailing spaces removed

Remarks

Used to set multiple templates. Call {Element.Update} after the last one is set


Text TextNoTrim
TextNoTrim method

Applies to

Text

Declaration

function object.TextNoTrim

Description

Gets the template ASCII text data without trimming leading or trailing spaces

Returns

TemplateText, String : Current contents of the Template with leading and trailing spaces

Remarks


Verticies
Verticies object

Properties	Methods	Events
Description

Object used to access 2DObjectElements Verticies

Remarks


Verticies Properties
Properties

X	Y


Verticies Methods
Methods


Verticies Events
Events


Verticies X
X property

Applies to

Verticies

Declaration

property object.X

Description

Gets the objects X Vertex

Returns

XVertex - Objects X Vertex

Remarks


Verticies Y
Y property

Applies to

Verticies

Declaration

property object.Y

Description

Gets the objects Y Vertex

Returns

YVertex - Objects Y Vertex

Remarks